=== modified file 'HACKING'
--- HACKING	2009-07-10 20:14:29 +0000
+++ HACKING	2011-07-21 15:24:02 +0000
@@ -3,7 +3,7 @@
 
 http://www.canonical.com/contributors
 
-Once the agreement is accepted, you will be added to the Ubuntu One Contributor
+Once the agreement is accepted, you will be added to the Canonical Contributor
 Agreement team on Launchpad, so that your branches may be merged in upstream.
 
 
@@ -27,8 +27,12 @@
 
 $: bzr commit --fixes=lp:<BUGNUMBER>
 
-If you forget to do this, you can link the branch manually on the Launchpad
-web page. After pushing your branch to Launchpad, you will need to propose it
+If you forget to do this, you can can create an empty commit with just
+the bug link in the metadata.
+
+$: bzr commit --unchanged --fixes=lp:<BUGNUMER>
+
+After pushing your branch to Launchpad, you will need to propose it
 for merging into the parent branch. You can do this from the Launchpad web
 page for your branch. In order for your branch to be accepted, you will have
 to have accepted the Canonical Contributor Agreement as stated above, and

=== modified file 'Makefile.am'
--- Makefile.am	2011-02-11 19:47:15 +0000
+++ Makefile.am	2011-07-21 15:24:02 +0000
@@ -1,4 +1,4 @@
-SUBDIRS = data libsyncdaemon nautilus po gsd-plugin docs
+SUBDIRS = data libsyncdaemon po docs
 
 # Shut libtoolize up
 ACLOCAL_AMFLAGS = -I m4

=== removed file 'README'
--- README	2009-06-26 14:58:33 +0000
+++ README	1970-01-01 00:00:00 +0000
@@ -1,113 +0,0 @@
-== Testing the Nautilus extension ==
-Ideally, we should have packages for testing, but since for each change this
-would be too much work, here are some instructions on how to setup a GNOME
-development installation to test it, without interfering the system-installed
-GNOME.
-
-To do so, the best way might be to use jhbuild, a set of scripts to build
-the whole GNOME desktop from GIT.
-
-1. Install jhbuild
-jhbuild package is available, but regardless of whether you install it with
-apt-get or by just getting the sources from GNOME GIT, you should follow the
-instructions at http://live.gnome.org/Jhbuild to set it up. The most important
-thing is to have a ~/.jhbuildrc file where the configuration to be used for
-building is stored. Default values should be ok, but make sure you set the
-correct moduleset line, so that includes the correct GNOME version (2.28 for
-Karmic). An example of this is:
-
-	moduleset = [ 'gnome-2.28', 'freedesktop-2.28', 'gnome-external-deps-2.28', 'gnome-suites-2.28' ]
-
-Which would install most of GNOME. Just using 'gnome-2.28' should be enough for
-testing the Nautilus extension though, but it doesn't harm to have all the
-others since jhbuild would just build what you tell it to build.
-
-2. Bootstrap
-This step installs, in the directory setup for installation in the ~/.jhbuildrc
-file, all the build tools needed for building, like autotools, gettext, python,
-etc.
-
-This is optional, since if not done, jhbuild would use the needed stuff from
-the system it's running on (autotools, gettext, etc), but if you see problems
-related to these packages, bootstrap would get the correct versions of all
-these tools.
-
-To do this, just run:
-
-	jhbuild bootstrap
-
-3. Build Nautilus
-
-	jhbuild build nautilus
-
-This would build and install (in the directory setup for installation in the
-~/.jhbuildrc) Nautilus and all its dependencies. This takes a long time, so
-make sure to not plan to sit down looking at the computer until it ends. Also,
-it would probably encounter some errors, which you'll have to try to deal with.
-
-Documentation for some modules always fail (at least for me), so when it
-happens to you, just open a shell from within jhbuild (it will offer you the
-option when there is an error in building), edit the top-level Makefile (not
-Makefile.am or Makefile.in, but plain Makefile) and remove 'doc' (or 'help')
-from the SUBDIRS line.
-
-Also, building API documentation takes a long time, so to reduce the time
-needed for building, make sure to have this line:
-
-	# extra arguments to pass to all autogen.sh scripts
-	# to speed up builds of gnome2, try '--disable-static --disable-gtk-doc'
-	autogenargs='--disable-static --disable-gtk-doc'
-
-in ~/,jhbuildrc.
-
-You might want to build the whole of GNOME. In that case, instead of 'jhbuild
-build nautilus', run:
-
-	jhbuild build
-
-4. Build Ubuntu One Nautilus extension
-
-You need to build the extension from within jhbuild environment. To do so,
-I have a profile in GNOME Terminal which runs the following script:
-
-	export BONOBO_ACTIVATION_PATH=/opt/extra/lib64/bonobo/servers:/opt/extra/lib/bonobo/servers
-	export PATH=/opt/icecream/bin:/opt/extra/bin:/bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin:/usr/lib/jvm/jre/bin
-	export LD_LIBRARY_PATH=/opt/extra/lib64:/opt/extra/lib
-	export PKG_CONFIG_PATH=/opt/extra/lib64/pkgconfig:/opt/extra/lib/pkgconfig:/usr/lib64/pkgconfig:/usr/lib/pkgconfig
-	export MONO_PATH=/usr/lib:/opt/extra/lib
-	export XDG_DATA_DIRS=/opt/extra/share
-	export XDG_CONFIG_DIRS=/opt/extra/etc/xdg
-	export ACLOCAL_FLAGS="-I /opt/extra/share/aclocal"
-
-	export GSM_VERBOSE_DEBUG=1
-
-	alias make='make -j8'
-	cd /opt/extra/src
-	bash
-
-Replace '/opt/extra' with the installation directory you setup in ~/.jhbuildrc.
-
-All this just sets environment variables used for building to point to the
-tree where jhbuild installed stuff.
-
-Once running on jhbuild build environment, just build and install our extension:
-
-	./autogen.sh --prefix=$install_directory_in_jhbuildrc
-	make
-	make install
-
-5. Test the extension
-To test the extension you need to run the copy of Nautilus you just built with
-jhbuild. You can either create a separate user and have the following in the
-~/.xsession/~/.xinitc startup scripts:
-
-	export PATH=/opt/extra/bin:$PATH
-	ln -s /var/run/dbus/system_bus_socket /opt/extra/var/run/dbus/system_bus_socket
-	jhbuild run /opt/extra/bin/gnome-session
-
-or, the easiest way:
-
-	jhbuild run /opt/extra/bin/nautilus
-
-again, replacing /opt/extra with whatever install directory you use in
-~/.jhbuilrc

=== modified file 'configure.ac'
--- configure.ac	2011-07-07 17:52:03 +0000
+++ configure.ac	2011-07-21 15:24:02 +0000
@@ -116,33 +116,10 @@
 fi
 AC_SUBST(USP_PATH)
 
-# Stuff we need to build the extension shlib
-PKG_CHECK_MODULES(NAUTILUS, [libnautilus-extension >= 2.6.0 libebook-1.2 gconf-2.0])
-AC_SUBST(NAUTILUS_CFLAGS)
-AC_SUBST(NAUTILUS_LIBS)
-
-# Get the plug-in directory name
-NAUTILUS_EXTENSIONDIR="`$PKG_CONFIG --variable=extensiondir libnautilus-extension`"
-NAUTILUS_EXTENSIONDIR_NAME="`basename ${NAUTILUS_EXTENSIONDIR}`"
-AC_SUBST(NAUTILUS_EXTENSIONDIR_NAME)
-
 PKG_CHECK_MODULES(DBUS, [dbus-glib-1 >= 0.70])
 AC_SUBST(DBUS_CFLAGS)
 AC_SUBST(DBUS_LIBS)
 
-AC_MSG_CHECKING([whether to build contacts grid or list view])
-AC_ARG_ENABLE([grid-view],
-	AC_HELP_STRING([--enable-grid-view],
-	               [Build the contacts grid view [default=disabled]]),
-	[enable_grid_view=$enableval],
-	[enable_grid_view=no])
-if test "x$enable_grid_view" = "xyes"; then
-   AC_DEFINE(BUILD_GRID_VIEW, TRUE, [Build grid view for contacts picker])
-   AC_MSG_RESULT([grid])
-else
-   AC_MSG_RESULT([list])
-fi
-
 ##################################################
 # Check for gtk-doc.
 ##################################################
@@ -207,32 +184,6 @@
 AC_SUBST(LIBSYNCDAEMON_REVISION)
 AC_SUBST(LIBSYNCDAEMON_AGE)
 
-# Dependencies for the gnome-settings-daemon plugin
-PKG_CHECK_MODULES(SETTINGS_PLUGIN,
-        gnome-settings-daemon
-        gio-2.0
-        gconf-2.0
-)
-# Check if we are on gnome-settingsd-daemon 3.0 or newer
-PKG_CHECK_EXISTS([gnome-settings-daemon >= 3.0],
-    AC_DEFINE_UNQUOTED([HAVE_GSD_30], [1],
-                       [If using gnome-settings-daemon 3.0 or newer]),
-    [])
-AC_SUBST(SETTINGS_PLUGIN_CFLAGS)
-AC_SUBST(SETTINGS_PLUGIN_LIBS)
-
-# Get the plug-in directory name
-if `$PKG_CONFIG --atleast-version=2.31.4 gnome-settings-daemon`; then
-   GSD_PLUGINDIR="`$PKG_CONFIG --variable=plugindir gnome-settings-daemon`"
-   GSD_PLUGINDIR_NAME="`basename ${GSD_PLUGINDIR}`"
-else
-   GSD_PLUGINDIR_NAME="gnome-settings-daemon-2.0"
-fi
-AC_SUBST(GSD_PLUGINDIR_NAME)
-
-GSD_INTLTOOL_PLUGIN_RULE='%.gnome-settings-plugin:   %.gnome-settings-plugin.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< [$]@'
-AC_SUBST([GSD_INTLTOOL_PLUGIN_RULE])
-
 dnl ---------------------------------------------------------------------------
 dnl - Are we specifying a different dbus root ?
 dnl ---------------------------------------------------------------------------
@@ -263,9 +214,7 @@
 data/Makefile
 libsyncdaemon/Makefile
 libsyncdaemon/libsyncdaemon-1.0.pc
-nautilus/Makefile
 po/Makefile.in
-gsd-plugin/Makefile
 docs/Makefile
 docs/reference/Makefile
 ])

=== removed directory 'gsd-plugin'
=== removed file 'gsd-plugin/Makefile.am'
--- gsd-plugin/Makefile.am	2011-06-24 13:49:37 +0000
+++ gsd-plugin/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,41 +0,0 @@
-plugindir = $(libdir)/$(GSD_PLUGINDIR_NAME)
-
-plugin_LTLIBRARIES = \
-	libubuntuone.la
-
-libubuntuone_la_SOURCES = \
-	gsd-ubuntuone.h \
-	gsd-ubuntuone.c
-
-libubuntuone_la_CPPFLAGS = \
-	-I$(top_srcdir)/gnome-settings-daemon \
-	-DGNOME_SETTINGS_LOCALEDIR=\""$(datadir)/locale"\" \
-	-DDELAYED_START_TIMEOUT=3000
-
-libubuntuone_la_CFLAGS = \
-	$(SETTINGS_PLUGIN_CFLAGS) \
-	-I$(top_srcdir)
-
-libubuntuone_la_LDFLAGS = \
-	-export_dynamic -module -avoid-version -no-undefined \
-	$(GSD_PLUGIN_LDFLAGS)
-
-libubuntuone_la_LIBADD = \
-	$(SETTINGS_PLUGIN_LIBS) \
-	$(top_builddir)/libsyncdaemon/libsyncdaemon-1.0.la
-
-plugin_in_files = \
-	ubuntuone.gnome-settings-plugin.in
-
-plugin_DATA = $(plugin_in_files:.gnome-settings-plugin.in=.gnome-settings-plugin)
-
-EXTRA_DIST = \
-	$(plugin_in_files)
-
-CLEANFILES = \
-	$(plugin_DATA)
-
-MAINTAINERCLEANFILES = \
-	Makefile.in
-
-@GSD_INTLTOOL_PLUGIN_RULE@

=== removed file 'gsd-plugin/gsd-ubuntuone.c'
--- gsd-plugin/gsd-ubuntuone.c	2011-05-27 08:36:37 +0000
+++ gsd-plugin/gsd-ubuntuone.c	1970-01-01 00:00:00 +0000
@@ -1,191 +0,0 @@
-/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*-
- *
- * Authors: Alejandro J. Cura <alecu@canonical.com>
- *
- * Copyright (C) 2010 Canonical Ltd.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 3,
- * as published by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
- *
- */
-
-#include "config.h"
-
-#include <glib/gi18n-lib.h>
-#include <gmodule.h>
-#include <gio/gio.h>
-#include <gconf/gconf-client.h>
-
-#include "gnome-settings-daemon/gnome-settings-plugin.h"
-#include "gsd-ubuntuone.h"
-
-GNOME_SETTINGS_PLUGIN_REGISTER (GsdUbuntuOne, gsd_ubuntuone)
-
-#define CHECKED_BOOKMARK_FILE_KEY "/apps/gnome_settings_daemon/plugins/ubuntuone/checked_bookmark_file"
-
-
-static void
-bookmark_file_loaded (GObject *source, GAsyncResult *res, gpointer user_data)
-{
-        gchar *contents = NULL;
-        GError *error = NULL;
-
-        g_file_load_contents_finish (G_FILE (source), res, &contents, NULL, NULL, &error);
-        if (error == NULL) {
-                gchar **lines, *u1_location;
-                gint i;
-                gboolean add_it = TRUE;
-
-                u1_location = g_build_filename ("file://", g_get_home_dir (), "Ubuntu%20One", NULL);
-
-                lines = g_strsplit (contents, "\n", -1);
-                for (i = 0; lines[i] != NULL; i++) {
-                        /* Ignore empty lines */
-                        if (lines[i][0] != '\0' && lines[i][0] != ' ') {
-                                if (g_str_has_prefix (lines[i], u1_location)) {
-                                        add_it = FALSE;
-                                        break;
-                                }
-                        }
-                }
-
-                if (add_it) {
-                        gchar *new_contents = g_strdup_printf ("%s\n%s Ubuntu One\n", contents, u1_location);
-
-                        if (g_file_replace_contents (G_FILE (source),
-                                                     (const gchar *) new_contents,
-                                                     strlen (new_contents),
-                                                     NULL,
-                                                     FALSE,
-                                                     0, NULL, NULL, &error)) {
-                                GConfClient *conf_client;
-
-                                conf_client = gconf_client_get_default ();
-                                gconf_client_set_bool (conf_client, CHECKED_BOOKMARK_FILE_KEY, TRUE, NULL);
-                        } else {
-                                g_warning ("Could not save bookmarks file: %s\n", error->message);
-                                g_error_free (error);
-                        }
-                }
-
-                g_free (contents);
-                g_free (u1_location);
-                g_strfreev (lines);
-        } else {
-                g_warning ("Could not load bookmark file: %s\n", error->message);
-                g_error_free (error);
-        }
-}
-
-static void
-check_bookmark_file (void)
-{
-        gchar *filename;
-        GConfClient *conf_client;
-        GError *error = NULL;
-
-        /* We only check the bookmark file if we haven't already done so */
-        conf_client = gconf_client_get_default ();
-        if (!gconf_client_get_bool (conf_client, CHECKED_BOOKMARK_FILE_KEY, &error)) {
-                if (error == NULL) {
-                        gchar *u1_folder;
-
-                        u1_folder = g_build_filename (g_get_home_dir (), "Ubuntu One", NULL);
-                        if (g_file_test ((const gchar *) u1_folder, G_FILE_TEST_IS_DIR)) {
-                                /* Load the bookmark file */
-                                filename = g_build_filename (g_get_home_dir (), ".gtk-bookmarks", NULL);
-                                if (filename != NULL) {
-                                        GFile *file;
-
-                                        file = g_file_new_for_path (filename);
-                                        g_file_load_contents_async (file, NULL, bookmark_file_loaded, NULL);
-
-                                        g_object_unref (G_OBJECT (file));
-                                        g_free (filename);
-                                }
-                        }
-
-                        g_free (u1_folder);
-                } else {
-                        g_warning ("Error getting settings: %s\n", error->message);
-                        g_error_free (error);
-                }
-        }
-
-        g_object_unref (conf_client);
-}
-
-static void
-credentials_found_cb (SyncdaemonAuthentication *auth, SyncdaemonCredentials *credentials, gpointer user_data)
-{
-        check_bookmark_file ();
-}
-
-static gboolean
-delayed_syncdaemon_start (gpointer data)
-{
-	GsdUbuntuOne *plugin;
-        SyncdaemonAuthentication *auth;
-
-	plugin = GSD_UBUNTUONE (data);
-
-	plugin->syncdaemon = syncdaemon_daemon_new ();
-
-        /* Check for authentication */
-        auth = syncdaemon_daemon_get_authentication (plugin->syncdaemon);
-        g_signal_connect (auth, "credentials_found",
-                          G_CALLBACK (credentials_found_cb), NULL);
-
-	return FALSE;
-}
-
-static void
-gsd_ubuntuone_init (GsdUbuntuOne *plugin)
-{
-}
-
-void
-gsd_ubuntuone_activate (GnomeSettingsPlugin *gsp_object)
-{
-	GsdUbuntuOne *plugin = GSD_UBUNTUONE (gsp_object);
-
-	g_timeout_add (DELAYED_START_TIMEOUT, delayed_syncdaemon_start, plugin);
-}
-
-static void
-gsd_ubuntuone_dispose (GObject *object)
-{
-	GsdUbuntuOne *plugin = GSD_UBUNTUONE (object);
-
-	if (plugin->syncdaemon != NULL)
-                g_object_unref (plugin->syncdaemon);
-
-	G_OBJECT_CLASS (gsd_ubuntuone_parent_class)->dispose (object);
-}
-
-#ifdef HAVE_GSD_30
-static void
-gsd_ubuntuone_class_finalize (GsdUbuntuOneClass *klass)
-{
-}
-#endif
-
-static void
-gsd_ubuntuone_class_init (GsdUbuntuOneClass *klass)
-{
-	GObjectClass *g_class = G_OBJECT_CLASS (klass);
-	GnomeSettingsPluginClass *gsp_class = (GnomeSettingsPluginClass *) klass;
-
-	g_class->dispose = gsd_ubuntuone_dispose;
-	gsp_class->activate = gsd_ubuntuone_activate;
-}

=== removed file 'gsd-plugin/gsd-ubuntuone.h'
--- gsd-plugin/gsd-ubuntuone.h	2011-04-01 02:30:39 +0000
+++ gsd-plugin/gsd-ubuntuone.h	1970-01-01 00:00:00 +0000
@@ -1,64 +0,0 @@
-/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*-
- *
- * Authors: Alejandro J. Cura <alecu@canonical.com>
- *
- * Copyright (C) 2010 Canonical Ltd.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 3,
- * as published by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
- *
- */
-
-#ifndef __GSD_UBUNTUONE_H__
-#define __GSD_UBUNTUONE_H__
-
-#include <glib.h>
-#include <glib-object.h>
-#include <gmodule.h>
-
-#include "gnome-settings-daemon/gnome-settings-plugin.h"
-#include <libsyncdaemon/libsyncdaemon.h>
-
-G_BEGIN_DECLS
-
-#define GSD_TYPE_UBUNTUONE                (gsd_ubuntuone_get_type ())
-#define GSD_UBUNTUONE(obj)                (G_TYPE_CHECK_INSTANCE_CAST ((obj), GSD_TYPE_UBUNTUONE, GsdUbuntuOne))
-#define GSD_UBUNTUONE_CLASS(klass)        (G_TYPE_CHECK_CLASS_CAST((klass), GSD_TYPE_UBUNTUONE, GsdUbuntuOneClass))
-#define GSD_IS_UBUNTUONE(obj)             (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GSD_TYPE_UBUNTUONE))
-#define GSD_IS_UBUNTUONE_CLASS(klass)     (G_TYPE_CHECK_CLASS_TYPE ((klass), GSD_TYPE_UBUNTUONE))
-#define GSD_UBUNTUONE_GET_CLASS(obj)      (G_TYPE_INSTANCE_GET_CLASS ((obj), GSD_TYPE_UBUNTUONE, GsdUbuntuOneClass))
-
-typedef struct _GsdUbuntuOne GsdUbuntuOne;
-typedef struct _GsdUbuntuOneClass GsdUbuntuOneClass;
-
-struct _GsdUbuntuOne
-{
-	GnomeSettingsPlugin parent_instance;
-
-	/*< private >*/
-	SyncdaemonDaemon *syncdaemon;
-};
-
-struct _GsdUbuntuOneClass
-{
-	GnomeSettingsPluginClass parent_class;
-};
-
-GType gsd_ubuntuone_get_type (void);
-G_MODULE_EXPORT GType register_gnome_settings_plugin (GTypeModule *module);
-
-void gsd_ubuntuone_activate (GnomeSettingsPlugin *gsp_object);
-
-G_END_DECLS
-
-#endif

=== removed file 'gsd-plugin/test-send-signal.py'
--- gsd-plugin/test-send-signal.py	2011-05-27 08:37:53 +0000
+++ gsd-plugin/test-send-signal.py	1970-01-01 00:00:00 +0000
@@ -1,81 +0,0 @@
-#!/usr/bin/env python
-# -*- encoding: utf-8 -*-
-#
-# Authors: Alejandro J. Cura <alecu@canonical.com>
-#
-# Copyright (C) 2010 Canonical Ltd.
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 3,
-# as published by the Free Software Foundation.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-#
-
-
-import gobject
-
-import dbus
-import dbus.service
-import dbus.mainloop.glib
-
-import sys
-
-OBJECT_PATH = "/"
-OBJECT_NAME = "com.ubuntuone.SyncDaemon"
-OBJECT_INTERFACE = "com.ubuntuone.SyncDaemon.SyncDaemon"
-SAMPLE_VOLUME_INFO = {
-    "volume_id": "sample_volume_id",
-    "volume_name": "sample_volume_name",
-    "type": "UDF",
-}
-SAMPLE_SHARE_INFO = {
-    "volume_id": "other_volume_id",
-    "owner_id": "other_owner_id",
-    "volume_name": "other_volume_name",
-    "type": "Share",
-    "other_visible_name": "Other User",
-    "path": "~/A shared folder",
-}
-
-class SyncDaemonMocker(dbus.service.Object):
-    def __init__(self, conn, object_path=OBJECT_PATH):
-        dbus.service.Object.__init__(self, conn, object_path)
-
-    @dbus.service.signal(OBJECT_INTERFACE)
-    def QuotaExceeded(self, volume_info):
-        pass
-
-    @dbus.service.method(OBJECT_INTERFACE)
-    def emitQuotaExceeded(self):
-        self.QuotaExceeded(SAMPLE_VOLUME_INFO)
-        return 'Signal emitted'
-
-    @dbus.service.method(OBJECT_INTERFACE, in_signature='', out_signature='')
-    def Quit(self):
-        main_loop.quit()
-
-if __name__ == '__main__':
-    dbus.mainloop.glib.DBusGMainLoop(set_as_default=True)
-
-    bus = dbus.SessionBus()
-    name = dbus.service.BusName(OBJECT_NAME, bus)
-    sd = SyncDaemonMocker(bus)
-
-    main_loop = gobject.MainLoop()
-
-    if "-d" not in sys.argv:
-        if "-3" in sys.argv:
-            gobject.timeout_add(10, sd.QuotaExceeded, SAMPLE_SHARE_INFO)
-        else:
-            gobject.timeout_add(10, sd.QuotaExceeded, SAMPLE_VOLUME_INFO)
-        gobject.timeout_add(200, main_loop.quit)
-
-    main_loop.run()

=== removed file 'gsd-plugin/ubuntuone.gnome-settings-plugin.in'
--- gsd-plugin/ubuntuone.gnome-settings-plugin.in	2010-07-15 20:30:42 +0000
+++ gsd-plugin/ubuntuone.gnome-settings-plugin.in	1970-01-01 00:00:00 +0000
@@ -1,8 +0,0 @@
-[GNOME Settings Plugin]
-Module=ubuntuone
-IAge=0
-Name=Ubuntu One
-_Description=Shows a warning when the Ubuntu One account runs out of space
-Authors=Alejandro J. Cura <alecu@canonical.com>
-Copyright=Copyright © 2010 Canonical Ltd.
-Website=http://one.ubuntu.com/

=== removed directory 'nautilus'
=== removed file 'nautilus/Makefile.am'
--- nautilus/Makefile.am	2011-06-24 13:49:37 +0000
+++ nautilus/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,79 +0,0 @@
-MARSHAL_PREFIX=ubuntuone_nautilus_marshal
-
-extensiondir = $(libdir)/nautilus/$(NAUTILUS_EXTENSIONDIR_NAME)
-
-extension_LTLIBRARIES = libnautilus-ubuntuone.la
-
-libnautilus_ubuntuone_la_CFLAGS =			\
-	-DG_LOG_DOMAIN=\"UbuntuOne-Nautilus\"		\
-	-DGNOMELOCALEDIR=\""$(datadir)/locale"\"	\
-	-I$(top_srcdir)					\
-	$(DBUS_CFLAGS)					\
-	$(NAUTILUS_CFLAGS)
-
-ubuntuone-marshallers.c: ubuntuone-marshallers.list
-	glib-genmarshal --body --prefix=$(MARSHAL_PREFIX) $< > $@
-
-ubuntuone-marshallers.h: ubuntuone-marshallers.list
-	glib-genmarshal --header --prefix=$(MARSHAL_PREFIX) $< > $@
-
-ubuntuone-nautilus.c: ubuntuone-marshallers.h
-
-libnautilus_ubuntuone_la_SOURCES =	\
-	add-contact-dialog.c	\
-	add-contact-dialog.h	\
-	contacts-view.c		\
-	contacts-view.h		\
-	context-menu.c		\
-	context-menu.h		\
-	error-dialog.c		\
-	file-watcher.c		\
-	file-watcher.h		\
-	location-widget.c	\
-	location-widget.h	\
-	highlight.c 		\
-	highlight.h 		\
-	share-dialog.c		\
-	share-dialog.h		\
-	u1-contacts-picker.c	\
-	u1-contacts-picker.h	\
-	ubuntuone-marshallers.c \
-	ubuntuone-marshallers.h	\
-	ubuntuone-nautilus.c	\
-	ubuntuone-nautilus.h	\
-	utils.c
-
-libnautilus_ubuntuone_la_LDFLAGS = -no-undefined -avoid-version
-libnautilus_ubuntuone_la_LIBADD  =	\
-	$(DBUS_LIBS)			\
-	$(NAUTILUS_LIBS)		\
-	$(top_builddir)/libsyncdaemon/libsyncdaemon-1.0.la
-
-noinst_PROGRAMS = test-contacts-picker test-highlight
-
-test_contacts_picker_CFLAGS =		\
-	$(NAUTILUS_CFLAGS)
-test_contacts_picker_SOURCES = 	\
-	test-contacts-picker.c	\
-	add-contact-dialog.c	\
-	add-contact-dialog.h	\
-	contacts-view.c		\
-	contacts-view.h		\
-	highlight.c \
-	highlight.h \
-	u1-contacts-picker.c	\
-	u1-contacts-picker.h
-test_contacts_picker_LDADD =  $(NAUTILUS_LIBS)
-
-test_highlight_CFLAGS = $(NAUTILUS_CFLAGS)
-test_highlight_SOURCES = \
-	highlight.c \
-	highlight.h \
-	test-highlight.c
-test_highlight_LDADD = $(NAUTILUS_LIBS)
-
-EXTRA_DIST =		\
-	ubuntuone-marshallers.list
-
-MAINTAINERCLEANFILES =	\
-	Makefile.in

=== removed file 'nautilus/add-contact-dialog.c'
--- nautilus/add-contact-dialog.c	2011-06-15 14:46:04 +0000
+++ nautilus/add-contact-dialog.c	1970-01-01 00:00:00 +0000
@@ -1,137 +0,0 @@
-/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
-/*
- * Copyright (C) 2009 Canonical Services Ltd (www.canonical.com)
- *
- * Authors: Rodrigo Moya <rodrigo.moya@canonical.com>
- *
- * This library is free software; you can redistribute it and/or
- * modify it under the terms of version 2 of the GNU Lesser General Public
- * License as published by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
- * General Public License for more details.
- *
- * You should have received a copy of the GNU Lesser General Public
- * License along with this library; if not, write to the
- * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
- * Boston, MA 02110-1301, USA.
- */
-
-#include <string.h>
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include <glib/gi18n-lib.h>
-#include "add-contact-dialog.h"
-
-G_DEFINE_TYPE(AddContactDialog, add_contact_dialog, GTK_TYPE_DIALOG)
-
-static void
-add_contact_dialog_finalize (GObject *object)
-{
-	G_OBJECT_CLASS (add_contact_dialog_parent_class)->finalize (object);
-}
-
-static void
-add_contact_dialog_class_init (AddContactDialogClass *klass)
-{
-	GObjectClass *object_class = G_OBJECT_CLASS (klass);
-
-	object_class->finalize = add_contact_dialog_finalize;
-}
-
-static void
-entry_changed_cb (GtkEditable *entry, gpointer user_data)
-{
-	const gchar *text_name, *text_email;
-	AddContactDialog *dialog = (AddContactDialog *) user_data;
-
-	text_name = gtk_entry_get_text (GTK_ENTRY (dialog->name_entry));
-	text_email = gtk_entry_get_text (GTK_ENTRY (dialog->email_entry));
-	if (strlen (text_name) > 0 && strlen (text_email) > 0)
-		gtk_dialog_set_response_sensitive (GTK_DIALOG (dialog), GTK_RESPONSE_OK, TRUE);
-	else
-		gtk_dialog_set_response_sensitive (GTK_DIALOG (dialog), GTK_RESPONSE_OK, FALSE);
-}
-
-static void
-entry_activated_cb (GtkEntry *entry, gpointer user_data)
-{
-	const gchar *text_name, *text_email;
-	AddContactDialog *dialog = (AddContactDialog *) user_data;
-
-	text_name = gtk_entry_get_text (GTK_ENTRY (dialog->name_entry));
-	text_email = gtk_entry_get_text (GTK_ENTRY (dialog->email_entry));
-	if (strlen (text_name) > 0 && strlen (text_email) > 0)
-		gtk_dialog_response (GTK_DIALOG (dialog), GTK_RESPONSE_OK);
-}
-
-static void
-add_contact_dialog_init (AddContactDialog *dialog)
-{
-	GtkWidget *table, *label;
-
-	/* Build the dialog */
-	gtk_window_set_title (GTK_WINDOW (dialog), _("Add contact"));
-	gtk_dialog_add_button (GTK_DIALOG (dialog), GTK_STOCK_CANCEL, GTK_RESPONSE_CANCEL);
-	gtk_dialog_add_button (GTK_DIALOG (dialog), GTK_STOCK_ADD, GTK_RESPONSE_OK);
-
-	gtk_dialog_set_default_response (GTK_DIALOG (dialog), GTK_RESPONSE_OK);
-	gtk_dialog_set_response_sensitive (GTK_DIALOG (dialog), GTK_RESPONSE_OK, FALSE);
-
-	table = gtk_table_new (2, 2, FALSE);
-	gtk_widget_show (table);
-	gtk_box_pack_start (GTK_BOX (gtk_dialog_get_content_area (GTK_DIALOG (dialog))),
-			    table, TRUE, TRUE, 3);
-
-	label = gtk_label_new (_("Contact name"));
-	gtk_widget_show (label);
-	gtk_table_attach (GTK_TABLE (table), label, 0, 1, 0, 1, GTK_FILL, GTK_FILL, 3, 3);
-
-	dialog->name_entry = gtk_entry_new ();
-	g_signal_connect (G_OBJECT (dialog->name_entry), "changed", G_CALLBACK (entry_changed_cb), dialog);
-	g_signal_connect (G_OBJECT (dialog->name_entry), "activate", G_CALLBACK (entry_activated_cb), dialog);
-	gtk_widget_show (dialog->name_entry);
-	gtk_table_attach (GTK_TABLE (table), dialog->name_entry, 1, 2, 0, 1, GTK_FILL, GTK_FILL, 3, 3);
-
-	label = gtk_label_new (_("Email address"));
-	gtk_widget_show (label);
-	gtk_table_attach (GTK_TABLE (table), label, 0, 1, 1, 2, GTK_FILL, GTK_FILL, 3, 3);
-
-	dialog->email_entry = gtk_entry_new ();
-	g_signal_connect (G_OBJECT (dialog->email_entry), "changed", G_CALLBACK (entry_changed_cb), dialog);
-	g_signal_connect (G_OBJECT (dialog->email_entry), "activate", G_CALLBACK (entry_activated_cb), dialog);
-	gtk_widget_show (dialog->email_entry);
-	gtk_table_attach (GTK_TABLE (table), dialog->email_entry, 1, 2, 1, 2, GTK_FILL, GTK_FILL, 3, 3);
-}
-
-GtkWidget *
-add_contact_dialog_new (GtkWindow *parent, const gchar *initial_text)
-{
-	AddContactDialog *dialog;
-
-	dialog = g_object_new (TYPE_ADD_CONTACT_DIALOG, NULL);
-	if (g_strrstr (initial_text, "@") != NULL)
-		gtk_entry_set_text (GTK_ENTRY (dialog->email_entry), initial_text);
-	else
-		gtk_entry_set_text (GTK_ENTRY (dialog->name_entry), initial_text);
-
-	gtk_window_set_transient_for (GTK_WINDOW (dialog), parent);
-
-	return GTK_WIDGET (dialog);
-}
-
-const gchar *
-add_contact_dialog_get_name_text (AddContactDialog *dialog)
-{
-	return gtk_entry_get_text (GTK_ENTRY (dialog->name_entry));
-}
-
-const gchar *
-add_contact_dialog_get_email_text (AddContactDialog *dialog)
-{
-	return gtk_entry_get_text (GTK_ENTRY (dialog->email_entry));
-}

=== removed file 'nautilus/add-contact-dialog.h'
--- nautilus/add-contact-dialog.h	2010-06-02 14:41:49 +0000
+++ nautilus/add-contact-dialog.h	1970-01-01 00:00:00 +0000
@@ -1,50 +0,0 @@
-/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
-/*
- * Copyright (C) 2009 Canonical Services Ltd (www.canonical.com)
- *
- * Authors: Rodrigo Moya <rodrigo.moya@canonical.com>
- *
- * This library is free software; you can redistribute it and/or
- * modify it under the terms of version 2 of the GNU Lesser General Public
- * License as published by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
- * General Public License for more details.
- *
- * You should have received a copy of the GNU Lesser General Public
- * License along with this library; if not, write to the
- * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
- * Boston, MA 02110-1301, USA.
- */
-
-#ifndef __ADD_CONTACT_DIALOG_H__
-#define __ADD_CONTACT_DIALOG_H__
-
-#include <gtk/gtk.h>
-
-#define TYPE_ADD_CONTACT_DIALOG                (add_contact_dialog_get_type ())
-#define ADD_CONTACT_DIALOG(obj)                (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_ADD_CONTACT_DIALOG, AddContactDialog))
-#define IS_ADD_CONTACT_DIALOG(obj)             (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_ADD_CONTACT_DIALOG))
-#define ADD_CONTACT_DIALOG_CLASS(klass)        (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_ADD_CONTACT_DIALOG, AddContactDialogClass))
-#define IS_ADD_CONTACT_DIALOG_CLASS(klass)     (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_ADD_CONTACT_DIALOG))
-#define ADD_CONTACT_DIALOG_GET_CLASS(obj)      (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_ADD_CONTACT_DIALOG, AddContactDialogClass))
-
-typedef struct {
-	GtkDialog parent;
-
-	GtkWidget *name_entry;
-	GtkWidget *email_entry;
-} AddContactDialog;
-
-typedef struct {
-	GtkDialogClass parent_class;
-} AddContactDialogClass;
-
-GType        add_contact_dialog_get_type (void);
-GtkWidget   *add_contact_dialog_new (GtkWindow *parent, const gchar *initial_text);
-const gchar *add_contact_dialog_get_name_text (AddContactDialog *dialog);
-const gchar *add_contact_dialog_get_email_text (AddContactDialog *dialog);
-
-#endif

=== removed file 'nautilus/contacts-view.c'
--- nautilus/contacts-view.c	2011-06-15 14:46:04 +0000
+++ nautilus/contacts-view.c	1970-01-01 00:00:00 +0000
@@ -1,820 +0,0 @@
-/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
-/*
- * Copyright (C) 2009 Canonical Services Ltd (www.canonical.com)
- *
- * Authors: Rodrigo Moya <rodrigo.moya@canonical.com>
- *
- * This library is free software; you can redistribute it and/or
- * modify it under the terms of version 2 of the GNU Lesser General Public
- * License as published by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
- * General Public License for more details.
- *
- * You should have received a copy of the GNU Lesser General Public
- * License along with this library; if not, write to the
- * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
- * Boston, MA 02110-1301, USA.
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include <glib/gi18n-lib.h>
-#include "contacts-view.h"
-#include "highlight.h"
-
-#ifdef BUILD_GRID_VIEW
-#define AVATAR_SIZE 64
-#else
-#define AVATAR_SIZE 24
-#endif
-
-G_DEFINE_TYPE(ContactsView, contacts_view, GTK_TYPE_SCROLLED_WINDOW)
-
-#define RECENTLY_USED_CONTACTS_KEY "/apps/libubuntuone/recently-used"
-
-#define CONTACTS_VIEW_COLUMN_NAME   0
-#define CONTACTS_VIEW_COLUMN_MARKUP 1
-#define CONTACTS_VIEW_COLUMN_EMAIL  2
-#define CONTACTS_VIEW_COLUMN_PIXBUF 3
-#define CONTACTS_VIEW_COLUMN_RECENT 4
-
-typedef struct {
-	gchar *name;
-	gchar *markedup_name;
-	gchar *email;
-	GdkPixbuf *pixbuf;
-} SelectedContactInfo;
-
-enum {
-	SELECTION_CHANGED_SIGNAL,
-	CONTACTS_COUNT_CHANGED_SIGNAL,
-	LAST_SIGNAL
-};
-static guint contacts_view_signals[LAST_SIGNAL];
-
-static void
-contacts_view_finalize (GObject *object)
-{
-	ContactsView *cv = CONTACTS_VIEW (object);
-
-	if (cv->selection != NULL) {
-		g_hash_table_destroy (cv->selection);
-		cv->selection = NULL;
-	}
-
-	if (cv->recently_used != NULL) {
-		g_hash_table_destroy (cv->recently_used);
-		cv->recently_used = NULL;
-	}
-
-	if (cv->config_client != NULL) {
-		g_object_unref (G_OBJECT (cv->config_client));
-		cv->config_client = NULL;
-	}
-
-	if (cv->source_list != NULL) {
-		g_object_unref (G_OBJECT (cv->source_list));
-		cv->source_list = NULL;
-	}
-
-	if (cv->added_contacts != NULL) {
-		g_hash_table_destroy (cv->added_contacts);
-		cv->added_contacts = NULL;
-	}
-
-	while (cv->books != NULL) {
-		EBook *book = (EBook *) cv->books->data;
-		cv->books = g_slist_remove (cv->books, book);
-		g_object_unref (G_OBJECT (book));
-	}
-
-	G_OBJECT_CLASS (contacts_view_parent_class)->finalize (object);
-}
-
-static void
-contacts_view_class_init (ContactsViewClass *klass)
-{
-	GObjectClass *object_class = G_OBJECT_CLASS (klass);
-
-	object_class->finalize = contacts_view_finalize;
-
-	/* Signals */
-	contacts_view_signals[SELECTION_CHANGED_SIGNAL] =
-		g_signal_new ("selection-changed",
-			      G_OBJECT_CLASS_TYPE (object_class),
-			      G_SIGNAL_RUN_LAST,
-			      G_STRUCT_OFFSET (ContactsViewClass, selection_changed),
-			      NULL, NULL,
-			      g_cclosure_marshal_VOID__VOID,
-			      G_TYPE_NONE,
-			      0);
-	contacts_view_signals[CONTACTS_COUNT_CHANGED_SIGNAL] =
-		g_signal_new ("contacts-count-changed",
-			      G_OBJECT_CLASS_TYPE (object_class),
-			      G_SIGNAL_RUN_LAST,
-			      G_STRUCT_OFFSET (ContactsViewClass, contacts_count_changed),
-			      NULL, NULL,
-			      g_cclosure_marshal_VOID__INT,
-			      G_TYPE_NONE, 1,
-			      G_TYPE_INT);
-}
-
-static void
-recently_used_to_list_cb (gpointer key, gpointer value, gpointer user_data)
-{
-	GSList **list = (GSList **) user_data;
-
-	*list = g_slist_append (*list, key);
-}
-
-static void
-save_recently_used_list (ContactsView *cv)
-{
-	GSList *list = NULL;
-
-	g_hash_table_foreach (cv->recently_used, (GHFunc) recently_used_to_list_cb, &list);
-	gconf_client_set_list (cv->config_client, RECENTLY_USED_CONTACTS_KEY, GCONF_VALUE_STRING, list, NULL);
-	g_slist_free (list);
-}
-
-static void
-selection_changed_cb (GtkWidget *view, gpointer data)
-{
-	GtkTreeModel *model;
-	GList *selected_items, *l;
-	ContactsView *cv = CONTACTS_VIEW (data);
-
-	/* We first remove all the previous selected items */
-	g_hash_table_remove_all (cv->selection);
-
-	/* Now add the new selection */
-#ifdef BUILD_GRID_VIEW
-	model = gtk_icon_view_get_model (GTK_ICON_VIEW (view));
-	selected_items = gtk_icon_view_get_selected_items (GTK_ICON_VIEW (view));
-#else
-	selected_items = gtk_tree_selection_get_selected_rows (
-		GTK_TREE_SELECTION (view),
-		&model);
-#endif
-
-	for (l = selected_items; l != NULL; l = l->next) {
-		GtkTreeIter iter;
-
-		if (gtk_tree_model_get_iter (model, &iter, (GtkTreePath *) l->data)) {
-			gchar *name, *email, *s;
-			GdkPixbuf *icon;
-			SelectedContactInfo *sci;
-
-			gtk_tree_model_get (model, &iter,
-					    CONTACTS_VIEW_COLUMN_NAME, &name,
-					    CONTACTS_VIEW_COLUMN_EMAIL, &email,
-					    CONTACTS_VIEW_COLUMN_PIXBUF, &icon,
-					    -1);
-
-			sci = g_new0 (SelectedContactInfo, 1);
-			sci->name = g_strdup (name);
-			sci->markedup_name = g_markup_escape_text (name, -1);
-			sci->email = g_strdup (email);
-			sci->pixbuf = g_object_ref (icon);
-			g_hash_table_insert (cv->selection, g_strdup (name), sci);
-
-			/* Add it to the recently used list */
-			s = g_strdup (sci->name);
-			g_hash_table_insert (cv->recently_used, s, s);
-			save_recently_used_list (cv);
-		}
-	}
-
-	/* Free memory */
-	g_list_foreach (selected_items, (GFunc) gtk_tree_path_free, NULL);
-	g_list_free (selected_items);
-
-	/* Notify listeners the selection has changed */
-	g_signal_emit_by_name (cv, "selection-changed", NULL);
-}
-
-static void
-add_one_contact (ContactsView *cv,
-		 const gchar *name,
-		 const gchar *markedup_name,
-		 const gchar *email,
-		 EContact *contact,
-		 GHashTable *selection_hash)
-{
-	GtkTreeIter new_row, current_row;
-	EContactPhoto *photo = NULL;
-	GtkTreeModel *model;
-	GdkPixbuf *pixbuf;
-	gboolean new_is_recent;
-
-	/* Get the pixbuf for this contact */
-	if (contact != NULL) {
-		photo = e_contact_get (contact, E_CONTACT_PHOTO);
-		if (photo == NULL)
-			photo = e_contact_get (contact, E_CONTACT_LOGO);
-	}
-
-	if (photo) {
-		gint width, height;
-		GdkPixbufLoader *loader = gdk_pixbuf_loader_new ();
-
-		gdk_pixbuf_loader_write (loader, photo->data.inlined.data, photo->data.inlined.length, NULL);
-		gdk_pixbuf_loader_close (loader, NULL);
-		pixbuf = gdk_pixbuf_loader_get_pixbuf (loader);
-
-		if (pixbuf != NULL) {
-			g_object_ref (G_OBJECT (pixbuf));
-
-			/* Scale the image if it's too big */
-			width = gdk_pixbuf_get_width (pixbuf);
-			height = gdk_pixbuf_get_height (pixbuf);
-			if (width > AVATAR_SIZE || height > AVATAR_SIZE) {
-				GdkPixbuf *scaled;
-
-				scaled = gdk_pixbuf_scale_simple ((const GdkPixbuf *) pixbuf,
-								  AVATAR_SIZE, AVATAR_SIZE, GDK_INTERP_NEAREST);
-				g_object_unref (G_OBJECT (pixbuf));
-				pixbuf = scaled;
-			}
-		} else {
-			GtkIconTheme *icon_theme = gtk_icon_theme_get_default ();
-
-			pixbuf = gtk_icon_theme_load_icon (icon_theme, "avatar-default", AVATAR_SIZE, 0, NULL);
-		}
-
-		g_object_unref (G_OBJECT (loader));
-	} else {
-		GtkIconTheme *icon_theme = gtk_icon_theme_get_default ();
-
-		pixbuf = gtk_icon_theme_load_icon (icon_theme, "avatar-default", AVATAR_SIZE, 0, NULL);
-	}
-
-	/* Add the contact to the contacts view */
-#ifdef BUILD_GRID_VIEW
-	model = gtk_icon_view_get_model (GTK_ICON_VIEW (cv->contacts_list));
-#else
-	model = gtk_tree_view_get_model (GTK_TREE_VIEW (cv->contacts_list));
-#endif
-
-	new_is_recent = g_hash_table_lookup (cv->recently_used, name) != NULL;
-
-	if (gtk_tree_model_get_iter_first (model, &current_row)) {
-		gchar *current_name;
-		gboolean added = FALSE;
-
-#ifdef BUILD_GRID_VIEW
-		gtk_icon_view_scroll_to_path (GTK_ICON_VIEW (cv->contacts_list),
-					      gtk_tree_model_get_path (GTK_TREE_MODEL (model), &current_row),
-					      TRUE, 0.0, 0.0);
-#endif
-
-		do {
-			gboolean current_is_recent, insert_before = FALSE;
-
-			gtk_tree_model_get (model, &current_row,
-					    CONTACTS_VIEW_COLUMN_NAME, &current_name,
-					    -1);
-
-			current_is_recent = g_hash_table_lookup (cv->recently_used, current_name) != NULL;
-
-			if (g_hash_table_lookup (selection_hash, current_name) != NULL)
-				continue;
-			else if (new_is_recent) {
-				if (current_is_recent) {
-					if (g_ascii_strcasecmp (name, (const gchar *) current_name) < 0)
-						insert_before = TRUE;
-				} else
-					insert_before = TRUE;
-			} else if (!current_is_recent &&
-				   g_ascii_strcasecmp (name, (const gchar *) current_name) < 0)
-				insert_before = TRUE;
-
-			if (insert_before) {
-				gtk_list_store_insert_before (GTK_LIST_STORE (model), &new_row, &current_row);
-				added = TRUE;
-
-				break;
-			}
-		} while (gtk_tree_model_iter_next (model, &current_row));
-
-		if (!added)
-			gtk_list_store_append (GTK_LIST_STORE (model), &new_row);
-	} else
-		gtk_list_store_append (GTK_LIST_STORE (model), &new_row);
-
-	gtk_list_store_set (GTK_LIST_STORE (model), &new_row,
-			    CONTACTS_VIEW_COLUMN_NAME, name,
-			    CONTACTS_VIEW_COLUMN_MARKUP, markedup_name,
-			    CONTACTS_VIEW_COLUMN_EMAIL, email,
-			    CONTACTS_VIEW_COLUMN_PIXBUF, pixbuf,
-			    CONTACTS_VIEW_COLUMN_RECENT, new_is_recent,
-			    -1);
-}
-
-static void
-add_contacts (ContactsView *cv, GList *contacts, GHashTable *selection_hash, gchar *search_string)
-{
-	GList *l;
-	GtkTreeModel *model;
-
-	for (l = contacts; l != NULL; l = l->next) {
-		EContact *contact = l->data;
-		const gchar *email = NULL;
-		GList *emails_list, *al;
-		EContactName *contact_name;
-		gchar *full_name = NULL;
-		gchar *markedup_name = NULL;
-
-		contact_name = (EContactName *) e_contact_get (contact, E_CONTACT_NAME);
-		if (contact_name != NULL)
-			full_name = e_contact_name_to_string (contact_name);
-		else
-			full_name = e_contact_get (contact, E_CONTACT_NAME_OR_ORG);
-
-		emails_list = e_contact_get_attributes (contact, E_CONTACT_EMAIL);
-		for (al = emails_list; al != NULL; al = al->next) {
-			EVCardAttribute *attr = (EVCardAttribute *) al->data;
-
-			email = e_vcard_attribute_get_value (attr);
-			if (email != NULL)
-				break;
-		}
-
-		if (full_name == NULL) {
-			if (email != NULL)
-				full_name = g_strdup (email);
-			else
-				g_warning ("Contact without name or email addresses");
-		}
-
-		markedup_name = highlight_result (search_string, full_name);
-
-		/* We add the selected items when searching, so ignore them here */
-		if (!g_hash_table_lookup (selection_hash, (gconstpointer) full_name)) {
-			if (email != NULL) {
-				add_one_contact (cv, full_name, markedup_name, email, contact, selection_hash);
-				cv->matched_contacts += 1;
-			}
-		}
-
-		g_list_foreach (emails_list, (GFunc) e_vcard_attribute_free, NULL);
-		g_list_free (emails_list);
-		e_contact_name_free (contact_name);
-		g_free (markedup_name);
-		g_free (full_name);
-	}
-
-#ifdef BUILD_GRID_VIEW
-	model = gtk_icon_view_get_model (GTK_ICON_VIEW (cv->contacts_list));
-#else
-	model = gtk_tree_view_get_model (GTK_TREE_VIEW (cv->contacts_list));
-#endif
-
-	g_signal_emit_by_name (cv, "contacts-count-changed",
-			       gtk_tree_model_iter_n_children (model, NULL));
-}
-
-static void
-append_selected_to_model (GtkWidget *view,
-			  const gchar *contact_name,
-			  const gchar *contact_markedup_name,
-			  const gchar *contact_email,
-			  GdkPixbuf *pixbuf)
-{
-	GtkTreeIter new_row;
-	GtkListStore *model;
-
-#ifdef BUILD_GRID_VIEW
-	model = GTK_LIST_STORE (gtk_icon_view_get_model (GTK_ICON_VIEW (view)));
-#else
-	model = GTK_LIST_STORE (gtk_tree_view_get_model (GTK_TREE_VIEW (view)));
-#endif
-
-	gtk_list_store_prepend (model, &new_row);
-	gtk_list_store_set (model, &new_row,
-			    CONTACTS_VIEW_COLUMN_NAME, contact_name,
-			    CONTACTS_VIEW_COLUMN_MARKUP, contact_markedup_name,
-			    CONTACTS_VIEW_COLUMN_EMAIL, contact_email,
-			    CONTACTS_VIEW_COLUMN_PIXBUF, pixbuf,
-			    CONTACTS_VIEW_COLUMN_RECENT, TRUE,
-			    -1);
-
-#ifdef BUILD_GRID_VIEW
-	gtk_icon_view_select_path (GTK_ICON_VIEW (view),
-				   gtk_tree_model_get_path (GTK_TREE_MODEL (model), &new_row));
-#else
-	gtk_tree_selection_select_path (
-		gtk_tree_view_get_selection (GTK_TREE_VIEW (view)),
-		gtk_tree_model_get_path (GTK_TREE_MODEL (model), &new_row));
-#endif
-}
-
-static void
-foreach_selected_to_model_cb (gpointer key, gpointer value, gpointer user_data)
-{
-	SelectedContactInfo *sci = (SelectedContactInfo *) value;
-	ContactsView *cv = CONTACTS_VIEW (user_data);
-
-	if (g_hash_table_lookup (cv->selection, sci->name) != NULL)
-		return;
-
-	append_selected_to_model (cv->contacts_list, sci->name, sci->markedup_name, sci->email, sci->pixbuf);
-}
-
-typedef struct {
-	ContactsView *cv;
-	GHashTable *selection_hash;
-	EBookQuery *query;
-	gchar *search_string;
-} GetContactsCallbackData;
-
-static void
-got_contacts_cb (EBook *book, EBookStatus status, GList *contacts, gpointer user_data)
-{
-	GetContactsCallbackData *gccd = user_data;
-
-	if (status == E_BOOK_ERROR_OK) {
-		add_contacts (gccd->cv, contacts, gccd->selection_hash, gccd->search_string);
-		if (gccd->selection_hash != gccd->cv->selection) {
-			/* If it's a separate selection, add all contacts to the views */
-			g_hash_table_foreach (gccd->selection_hash, (GHFunc) foreach_selected_to_model_cb, gccd->cv);
-			g_hash_table_unref (gccd->selection_hash);
-		}
-	} else {
-		g_warning ("Error retrieving contacts from addressbook %s: %d",
-			   e_book_get_uri (book), status);
-	}
-
-	e_book_query_unref (gccd->query);
-	g_free (gccd->search_string);
-	g_free (gccd);
-}
-
-static void
-retrieve_contacts (ContactsView *cv, EBook *book, const gchar *search_string, GHashTable *selection_hash)
-{
-	GetContactsCallbackData *gccd;
-
-	gccd = g_new0 (GetContactsCallbackData, 1);
-	gccd->cv = cv;
-	gccd->query = e_book_query_any_field_contains (search_string);
-	gccd->search_string = g_strdup (search_string);
-	if (selection_hash == cv->selection)
-		gccd->selection_hash = selection_hash;
-	else
-		gccd->selection_hash = g_hash_table_ref (selection_hash);
-
-	e_book_async_get_contacts (book, gccd->query, (EBookListCallback) got_contacts_cb, gccd);
-}
-
-static void
-book_opened_cb (EBook *book, EBookStatus status, gpointer user_data)
-{
-	ContactsView *cv = CONTACTS_VIEW (user_data);
-
-	if (status != E_BOOK_ERROR_OK) {
-		g_warning ("Error opening addressbook %s: %d", e_book_get_uri (book), status);
-		g_object_unref (G_OBJECT (book));
-		return;
-	}
-
-	/* Add the book to the list of opened books */
-	cv->books = g_slist_append (cv->books, book);
-
-	/* Get all contacts for this book */
-	retrieve_contacts (cv, book, "", cv->selection);
-}
-
-static void
-free_selected_contact_info (gpointer data)
-{
-	SelectedContactInfo *sci = (SelectedContactInfo *) data;
-
-	if (sci != NULL) {
-		if (sci->name != NULL)
-			g_free (sci->name);
-		if (sci->markedup_name != NULL)
-			g_free (sci->markedup_name);
-		if (sci->email != NULL)
-			g_free (sci->email);
-		if (sci->pixbuf != NULL)
-			g_object_unref (sci->pixbuf);
-
-		g_free (sci);
-	}
-}
-
-static gboolean
-row_separator_func (GtkTreeModel *model, GtkTreeIter *iter, gpointer user_data)
-{
-	gboolean current_is_recent, other_is_recent;
-	GtkTreePath *path;
-	gboolean result = FALSE;
-
-	gtk_tree_model_get (model, iter,
-			    CONTACTS_VIEW_COLUMN_RECENT, &current_is_recent,
-			    -1);
-
-	path = gtk_tree_model_get_path (model, iter);
-	if (path != NULL) {
-		if (gtk_tree_path_prev (path)) {
-			GtkTreeIter previous;
-
-			if (gtk_tree_model_get_iter (model, &previous, path)) {
-				gtk_tree_model_get (model, &previous,
-						    CONTACTS_VIEW_COLUMN_RECENT, &other_is_recent,
-						    -1);
-				if (other_is_recent && !current_is_recent)
-					result = TRUE;
-			}
-		}
-
-		gtk_tree_path_free (path);
-	}
-
-	return result;
-}
-
-static void
-contacts_view_init (ContactsView *cv)
-{
-	GtkTreeModel *model;
-	GError *error = NULL;
-	GSList *gl;
-
-	cv->matched_contacts = 0;
-	cv->selection = g_hash_table_new_full (g_str_hash, g_str_equal,
-					       (GDestroyNotify) g_free,
-					       (GDestroyNotify) free_selected_contact_info);
-	cv->added_contacts = g_hash_table_new_full (g_str_hash, g_str_equal, g_free, g_free);
-
-	/* Get recently used contacts */
-	cv->config_client = gconf_client_get_default ();
-	cv->recently_used = g_hash_table_new_full (g_str_hash, g_str_equal, (GDestroyNotify) g_free, NULL);
-
-	for (gl = gconf_client_get_list (cv->config_client, RECENTLY_USED_CONTACTS_KEY, GCONF_VALUE_STRING, NULL);
-	     gl != NULL;
-	     gl = gl->next) {
-		g_hash_table_insert (cv->recently_used, gl->data, gl->data);
-	}
-
-	g_slist_free (gl);
-
-	/* Set up the scrolled window */
-	gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (cv),
-					GTK_POLICY_AUTOMATIC,
-					GTK_POLICY_AUTOMATIC);
-
-	/* Create the contacts list */
-	model = GTK_TREE_MODEL (gtk_list_store_new (5, G_TYPE_STRING,
-						    G_TYPE_STRING,
-						    G_TYPE_STRING,
-						    GDK_TYPE_PIXBUF,
-						    G_TYPE_BOOLEAN,
-						    NULL));
-
-#ifdef BUILD_GRID_VIEW
-	cv->contacts_list = gtk_icon_view_new_with_model (model);
-	gtk_icon_view_set_text_column (GTK_ICON_VIEW (cv->contacts_list), CONTACTS_VIEW_COLUMN_NAME);
-	gtk_icon_view_set_markup_column (GTK_ICON_VIEW (cv->contacts_list), CONTACTS_VIEW_COLUMN_MARKUP);
-	gtk_icon_view_set_pixbuf_column (GTK_ICON_VIEW (cv->contacts_list), CONTACTS_VIEW_COLUMN_PIXBUF);
-	gtk_icon_view_set_selection_mode (GTK_ICON_VIEW (cv->contacts_list), GTK_SELECTION_MULTIPLE);
-	gtk_icon_view_set_item_width (GTK_ICON_VIEW (cv->contacts_list), 90);
-
-	g_signal_connect (G_OBJECT (cv->contacts_list), "selection-changed",
-			  G_CALLBACK (selection_changed_cb), cv);
-#else
-	cv->contacts_list = gtk_tree_view_new_with_model (model);
-	gtk_tree_view_set_row_separator_func (GTK_TREE_VIEW (cv->contacts_list),
-					      (GtkTreeViewRowSeparatorFunc) row_separator_func,
-					      cv, NULL);
-	gtk_tree_view_set_headers_visible (GTK_TREE_VIEW (cv->contacts_list), FALSE);
-	gtk_tree_view_insert_column_with_attributes (GTK_TREE_VIEW (cv->contacts_list), -1,
-						     "Avatar",
-						     gtk_cell_renderer_pixbuf_new (),
-						     "pixbuf", CONTACTS_VIEW_COLUMN_PIXBUF,
-						     NULL);
-	gtk_tree_view_insert_column_with_attributes (GTK_TREE_VIEW (cv->contacts_list), -1,
-						     "Name",
-						     gtk_cell_renderer_text_new (),
-						     "markup", CONTACTS_VIEW_COLUMN_MARKUP,
-						     NULL);
-	gtk_tree_selection_set_mode (gtk_tree_view_get_selection (GTK_TREE_VIEW (cv->contacts_list)),
-				     GTK_SELECTION_MULTIPLE);
-
-	g_signal_connect (G_OBJECT (gtk_tree_view_get_selection (GTK_TREE_VIEW (cv->contacts_list))), "changed",
-			  G_CALLBACK (selection_changed_cb), cv);
-#endif
-
-	gtk_widget_show (cv->contacts_list);
-	gtk_scrolled_window_add_with_viewport (GTK_SCROLLED_WINDOW (cv), cv->contacts_list);
-
-	/* Open all addressbooks */
-	if (!e_book_get_addressbooks (&cv->source_list, &error)) {
-		g_warning ("Could not get list of addressbooks: %s", error->message);
-		g_error_free (error);
-
-		return;
-	}
-
-	for (gl = e_source_list_peek_groups (cv->source_list); gl != NULL; gl = gl->next) {
-		GSList *sl;
-
-		for (sl = e_source_group_peek_sources ((ESourceGroup *) gl->data); sl != NULL; sl = sl->next) {
-			EBook *book;
-
-			error = NULL;
-
-			/* Open this addressbook asynchronously */
-			book = e_book_new ((ESource *) sl->data, &error);
-			if (book != NULL) {
-				e_book_async_open (book, FALSE, (EBookCallback) book_opened_cb, cv);
-			} else {
-				g_warning ("Could not open addressbook %s: %s", e_source_get_uri (sl->data), error->message);
-				g_error_free (error);
-			}
-		}
-	}
-}
-
-GtkWidget *
-contacts_view_new (void)
-{
-	return g_object_new (TYPE_CONTACTS_VIEW, NULL);
-}
-
-void
-contacts_view_search (ContactsView *cv, const gchar *search_string)
-{
-	GSList *l;
-	GHashTable *tmp_selection;
-	GHashTableIter hash_iter;
-	gpointer key, value;
-	GtkTreeModel *model;
-
-	/* Make a copy of the selected items before changing the models */
-	tmp_selection = g_hash_table_new_full (g_str_hash, g_str_equal,
-					       (GDestroyNotify) g_free,
-					       (GDestroyNotify) free_selected_contact_info);
-	g_hash_table_iter_init (&hash_iter, cv->selection);
-	while (g_hash_table_iter_next (&hash_iter, &key, &value)) {
-		SelectedContactInfo *new_sci, *old_sci;
-
-		old_sci = (SelectedContactInfo *) value;
-
-		new_sci = g_new0 (SelectedContactInfo, 1);
-		new_sci->name = g_strdup (old_sci->name);
-		new_sci->markedup_name = g_markup_escape_text (old_sci->name, -1);
-		new_sci->email = g_strdup (old_sci->email);
-		new_sci->pixbuf = g_object_ref (old_sci->pixbuf);
-		g_hash_table_insert (tmp_selection, g_strdup (old_sci->name), new_sci);
-	}
-
-	/* Reset the contact views */
-#ifdef BUILD_GRID_VIEW
-	model = gtk_icon_view_get_model (GTK_ICON_VIEW (cv->contacts_list));
-#else
-	model = gtk_tree_view_get_model (GTK_TREE_VIEW (cv->contacts_list));
-	gtk_tree_view_scroll_to_point (GTK_TREE_VIEW (cv->contacts_list), 0, 0);
-#endif
-	gtk_list_store_clear (GTK_LIST_STORE (model));
-	cv->matched_contacts = 0;
-
-	g_signal_emit_by_name (cv, "contacts-count-changed",
-			       gtk_tree_model_iter_n_children (model, NULL));
-
-	/* Traverse all books */
-	for (l = cv->books; l != NULL; l = l->next) {
-		EBook *book = E_BOOK (l->data);
-
-		if (!e_book_is_opened (book))
-			continue;
-
-		/* Cancel any pending operation before starting the new one*/
-		e_book_cancel (book, NULL);
-		retrieve_contacts (cv, book, search_string, tmp_selection);
-	}
-
-	/* If we added contacts in-memory, add them to the model now */
-	g_hash_table_iter_init (&hash_iter, cv->added_contacts);
-	while (g_hash_table_iter_next (&hash_iter, &key, &value)) {
-		gchar *markup;
-
-		/* We only add it if it's not on the other lists */
-		if (!g_hash_table_lookup (tmp_selection, key)) {
-			markup = g_markup_escape_text ((const gchar *) key, -1);
-			add_one_contact (cv, (const gchar *) key,
-					 (const gchar *) markup,
-					 (const gchar *) value,
-					 NULL, tmp_selection);
-			g_free (markup);
-		}
-	}
-
-	g_hash_table_unref (tmp_selection);
-}
-
-static void
-add_selection_to_list_cb (gpointer key, gpointer value, gpointer user_data)
-{
-	SelectedContactInfo *sci = (SelectedContactInfo *) value;
-	GSList **selection = (GSList **) user_data;
-
-	*selection = g_slist_append (*selection, g_strdup (sci->email));
-}
-
-GSList *
-contacts_view_get_selected_emails (ContactsView *cv)
-{
-	GSList *selection = NULL;
-
-	g_hash_table_foreach (cv->selection, (GHFunc) add_selection_to_list_cb, &selection);
-	return selection;
-}
-
-guint
-contacts_view_get_contacts_count (ContactsView *cv)
-{
-	GtkTreeModel *model;
-
-#ifdef BUILD_GRID_VIEW
-	model = gtk_icon_view_get_model (GTK_ICON_VIEW (cv->contacts_list));
-#else
-	model = gtk_tree_view_get_model (GTK_TREE_VIEW (cv->contacts_list));
-#endif
-
-	return gtk_tree_model_iter_n_children (model, NULL);
-}
-
-guint
-contacts_view_get_matched_contacts_count (ContactsView *cv)
-{
-	return cv->matched_contacts;
-}
-
-void
-contacts_view_add_contact (ContactsView *cv, const gchar *contact_name, const gchar *contact_email)
-{
-	SelectedContactInfo *sci;
-	GtkIconTheme *icon_theme;
-	GSList *l;
-	gchar *s;
-	GdkPixbuf *pixbuf;
-	gboolean added = FALSE;
-
-	icon_theme = gtk_icon_theme_get_default ();
-
-	/* First add the new contact to the list of selected ones */
-	sci = g_new0 (SelectedContactInfo, 1);
-	sci->name = g_strdup (contact_name);
-	sci->markedup_name = g_markup_escape_text (contact_name, -1);
-	sci->email = g_strdup (contact_email);
-	pixbuf = gtk_icon_theme_load_icon (icon_theme, "avatar-default", AVATAR_SIZE, 0, NULL);
-	sci->pixbuf = g_object_ref (pixbuf);
-	g_hash_table_insert (cv->selection, g_strdup (contact_name), sci);
-
-	/* Add it to the recently used list */
-	s = g_strdup (sci->name);
-	g_hash_table_insert (cv->recently_used, s, s);
-	save_recently_used_list (cv);
-
-	/* And now add it to the icon views */
-	append_selected_to_model (cv->contacts_list, contact_name, sci->markedup_name, contact_email, pixbuf);
-
-	g_object_unref (pixbuf);
-
-	/* Add the contact to the CouchDB addressbook, if possible */
-	for (l = cv->books; l != NULL; l = l->next) {
-		const gchar *uri;
-
-		uri = e_book_get_uri (E_BOOK (l->data));
-		if (g_str_has_prefix (uri, "couchdb://127.0.0.1")) {
-			EContact *contact;
-			GError *error = NULL;
-
-			contact = e_contact_new ();
-			e_contact_set (contact, E_CONTACT_FULL_NAME, (gconstpointer) contact_name);
-			e_contact_set (contact, E_CONTACT_EMAIL_1, (gconstpointer) contact_email);
-
-			if (e_book_add_contact (E_BOOK (l->data), contact, &error))
-				added = TRUE;
-			else {
-				g_warning ("Could not add contact to %s: %s", uri, error->message);
-				g_error_free (error);
-			}
-
-			g_object_unref (G_OBJECT (contact));
-
-			break;
-		}
-	}
-
-	/* If the contact was not added, keep a copy of it so that it shows */
-	if (!added)
-		g_hash_table_insert (cv->added_contacts, g_strdup (contact_name), g_strdup (contact_email));
-}

=== removed file 'nautilus/contacts-view.h'
--- nautilus/contacts-view.h	2010-09-16 16:59:30 +0000
+++ nautilus/contacts-view.h	1970-01-01 00:00:00 +0000
@@ -1,72 +0,0 @@
-/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
-/*
- * Copyright (C) 2009 Canonical Services Ltd (www.canonical.com)
- *
- * Authors: Rodrigo Moya <rodrigo.moya@canonical.com>
- *
- * This library is free software; you can redistribute it and/or
- * modify it under the terms of version 2 of the GNU Lesser General Public
- * License as published by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
- * General Public License for more details.
- *
- * You should have received a copy of the GNU Lesser General Public
- * License along with this library; if not, write to the
- * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
- * Boston, MA 02110-1301, USA.
- */
-
-#ifndef __CONTACTS_VIEW_H__
-#define __CONTACTS_VIEW_H__
-
-#include <gconf/gconf-client.h>
-#include <gtk/gtk.h>
-#include <libedataserver/e-source-list.h>
-#include <libebook/e-book.h>
-
-#define TYPE_CONTACTS_VIEW                (contacts_view_get_type ())
-#define CONTACTS_VIEW(obj)                (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_CONTACTS_VIEW, ContactsView))
-#define IS_CONTACTS_VIEW(obj)             (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_CONTACTS_VIEW))
-#define CONTACTS_VIEW_CLASS(klass)        (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_CONTACTS_VIEW, ContactsViewClass))
-#define IS_CONTACTS_VIEW_CLASS(klass)     (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_CONTACTS_VIEW))
-#define CONTACTS_VIEW_GET_CLASS(obj)      (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_CONTACTS_VIEW, ContactsViewClass))
-
-typedef struct {
-	GtkScrolledWindow parent;
-
-	GConfClient *config_client;
-
-	/* Data from addressbooks */
-	ESourceList *source_list;
-	GSList *books;
-	GHashTable *selection;
-	GHashTable *recently_used;
-	GHashTable *added_contacts;
-
-	/* Widgets */
-	GtkWidget *contacts_list;
-
-	guint matched_contacts;
-} ContactsView;
-
-typedef struct {
-	GtkScrolledWindowClass parent_class;
-
-	/* Signals */
-	void (* selection_changed) (ContactsView *cv);
-	void (* contacts_count_changed) (ContactsView *cv, gint total);
-} ContactsViewClass;
-
-GType      contacts_view_get_type (void);
-
-GtkWidget *contacts_view_new (void);
-void       contacts_view_search (ContactsView *cv, const gchar *search_string);
-GSList    *contacts_view_get_selected_emails (ContactsView *cv);
-guint      contacts_view_get_contacts_count (ContactsView *cv);
-guint      contacts_view_get_matched_contacts_count (ContactsView *cv);
-void       contacts_view_add_contact (ContactsView *cv, const gchar *contact_name, const gchar *contact_email);
-
-#endif

=== removed file 'nautilus/context-menu.c'
--- nautilus/context-menu.c	2011-04-07 18:55:24 +0000
+++ nautilus/context-menu.c	1970-01-01 00:00:00 +0000
@@ -1,464 +0,0 @@
-/*
- * UbuntuOne Nautilus plugin
- *
- * Authors: Rodrigo Moya <rodrigo.moya@canonical.com>
- *
- * Copyright 2009-2010 Canonical Ltd.
- *
- * This program is free software: you can redistribute it and/or modify it
- * under the terms of the GNU General Public License version 3, as published
- * by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranties of
- * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
- * PURPOSE.  See the GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License along
- * with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include <glib/gi18n-lib.h>
-#include <libsyncdaemon/libsyncdaemon.h>
-#include "context-menu.h"
-#include "location-widget.h"
-#include "share-dialog.h"
-
-typedef struct {
-	UbuntuOneNautilus *uon;
-	gchar *path;
-	GtkWidget *parent;
-
-	/* Whether to make a file public or private */
-	gboolean make_public;
-} MenuCallbackData;
-
-static void
-free_menu_cb_data (gpointer data, GObject *where_the_object_was)
-{
-	MenuCallbackData *cb_data = (MenuCallbackData *) data;
-
-	g_free (cb_data->path);
-	g_free (cb_data);
-}
-
-/* Menu callbacks */
-static void
-got_public_meta (SyncdaemonFilesystemInterface *interface,
-		 gboolean success,
-		 SyncdaemonMetadata *metadata,
-		 gpointer user_data)
-{
-	MenuCallbackData *data = (MenuCallbackData *) user_data;
-	const gchar * share_id, * node_id;
-	SyncdaemonInterface *public;
-
-	if (!success) {
-		g_warning ("ERROR: getting metadata for public file");
-		return;
-	}
-
-	share_id = syncdaemon_metadata_get_share_id (metadata);
-	node_id = syncdaemon_metadata_get_node_id (metadata);
-
-	public = syncdaemon_daemon_get_publicfiles_interface (data->uon->syncdaemon);
-	if (public != NULL) {
-		syncdaemon_publicfiles_interface_change_public_access (SYNCDAEMON_PUBLICFILES_INTERFACE (public),
-								       share_id, node_id, data->make_public);
-	}
-}
-
-static void
-unsubscribe_folder_cb (NautilusMenuItem *item, gpointer user_data)
-{
-	SyncdaemonInterface *interface;
-	MenuCallbackData * data = (MenuCallbackData *) user_data;
-
-	/* Perform the removal of this folder */
-	interface = syncdaemon_daemon_get_folders_interface (data->uon->syncdaemon);
-	if (interface != NULL) {
-		SyncdaemonFolderInfo *folder_info;
-
-		folder_info = syncdaemon_folders_interface_get_info (SYNCDAEMON_FOLDERS_INTERFACE (interface),
-								     data->path);
-		if (folder_info != NULL) {
-			if (ubuntuone_check_shares_and_public_files (data->uon, folder_info, data->parent)) {
-				syncdaemon_folders_interface_delete (SYNCDAEMON_FOLDERS_INTERFACE (interface),
-								     syncdaemon_folder_info_get_volume_id (folder_info));
-			}
-			g_object_unref (G_OBJECT (folder_info));
-		}
-	}
-}
-
-static void
-subscribe_folder_cb (NautilusMenuItem *item, gpointer user_data)
-{
-	SyncdaemonInterface *interface;
-	MenuCallbackData * data = (MenuCallbackData *) user_data;
-
-	/* Perform the addition of this folder */
-	interface = syncdaemon_daemon_get_folders_interface (data->uon->syncdaemon);
-	if (interface != NULL) {
-		/* If there is no user authenticated, make Syncdaemon do so */
-		if (!syncdaemon_authentication_has_credentials (syncdaemon_daemon_get_authentication (data->uon->syncdaemon)))
-			syncdaemon_daemon_connect (data->uon->syncdaemon);
-		syncdaemon_folders_interface_create (SYNCDAEMON_FOLDERS_INTERFACE (interface),
-						     data->path);
-	}
-}
-
-static void
-copy_public_url_cb (NautilusMenuItem *item, gpointer user_data)
-{
-	MenuCallbackData * data = (MenuCallbackData *) user_data;
-	gchar * url;
-
-	url = g_hash_table_lookup (data->uon->public, data->path);
-	gtk_clipboard_set_text (gtk_clipboard_get(GDK_SELECTION_CLIPBOARD),
-				url, strlen (url));
-	gtk_clipboard_store (gtk_clipboard_get(GDK_SELECTION_CLIPBOARD));
-}
-
-static void
-toggle_publicity_cb (NautilusMenuItem * item, gpointer user_data)
-{
-	SyncdaemonFilesystemInterface *interface;
-	MenuCallbackData * data = (MenuCallbackData *) user_data;
-
-	interface = (SyncdaemonFilesystemInterface *) syncdaemon_daemon_get_filesystem_interface (data->uon->syncdaemon);
-	if (interface != NULL) {
-		/* we know this will not be a directory (so no need for _and_quick_tree_synced) */
-		syncdaemon_filesystem_interface_get_metadata_async (interface, data->path, FALSE,
-								    (SyncdaemonGotMetadataFunc) got_public_meta, data);
-	}
-
-	g_hash_table_replace (data->uon->public, g_strdup (data->path), g_strdup (UPDATE_PENDING));
-	file_watcher_update_path (data->uon->file_watcher, data->path);
-}
-
-static void
-share_folder_cb (NautilusMenuItem *item, gpointer user_data)
-{
-	MenuCallbackData * data = (MenuCallbackData *) user_data;
-	GtkWidget * dialog;
-
-	dialog = share_dialog_new (data->parent, data->uon, data->path);
-	gtk_widget_show (dialog);
-}
-
-static void
-unshare_folder_cb (NautilusMenuItem *item, gpointer user_data)
-{
-	MenuCallbackData * data = (MenuCallbackData *) user_data;
-	SyncdaemonSharesInterface *interface;
-
-	interface = (SyncdaemonSharesInterface *) syncdaemon_daemon_get_shares_interface (data->uon->syncdaemon);
-	if (interface != NULL)
-		syncdaemon_shares_interface_delete (interface, data->path);
-}
-
-static void
-toggle_location_cb (NautilusMenuItem *item, gpointer user_data)
-{
-	GConfClient *conf_client;
-
-	conf_client = gconf_client_get_default ();
-	gconf_client_set_bool (conf_client, EXPANDER_SHOWN_KEY, !ubuntuone_is_location_bar_enabled (), NULL);
-}
-
-gboolean
-check_share_offer_pending (UbuntuOneNautilus *uon, const gchar *path)
-{
-	GSList *shares, *l;
-	SyncdaemonInterface *interface;
-	gboolean is_share_offer_pending = FALSE;
-	const gchar *node_id;
-
-	interface = syncdaemon_daemon_get_shares_interface (uon->syncdaemon);
-	if (SYNCDAEMON_IS_SHARES_INTERFACE (interface)) {
-		shares = syncdaemon_shares_interface_get_shared (SYNCDAEMON_SHARES_INTERFACE (interface));
-		for (l = shares; l != NULL; l = l->next) {
-			SyncdaemonShareInfo *share_info = SYNCDAEMON_SHARE_INFO (l->data);
-
-			if (g_strcmp0 (syncdaemon_share_info_get_path (share_info), path) == 0) {
-				node_id = syncdaemon_share_info_get_node_id (share_info);
-				if (node_id == NULL)
-					is_share_offer_pending = TRUE;
-				break;
-			}
-		}
-
-		g_slist_free (shares);
-	}
-
-	return is_share_offer_pending;
-}
-
-NautilusMenuItem *
-context_menu_new (UbuntuOneNautilus *uon,
-		  GtkWidget *window,
-		  GList *files)
-{
-	NautilusFileInfo *file;
-	NautilusMenu *submenu;
-	NautilusMenuItem *root_item, *menu_item, *urlitem;
-	gchar *path, *item, *homedir_path, *path_uri;
-	gboolean is_managed, is_root, is_udf, is_public, is_shared, is_pending;
-	gboolean is_shared_to_me, is_inhome, is_dir, is_regular, is_symlink;
-	gboolean is_share_offer_pending;
-	MenuCallbackData *cb_data;
-
-	is_managed = is_root = is_udf = is_public = is_shared = is_pending = FALSE;
-	is_shared_to_me = is_inhome = is_dir = is_regular = is_symlink = FALSE;
-	is_share_offer_pending = FALSE;
-
-	if (g_list_length (files) != 1)
-		return NULL;
-
-	file = NAUTILUS_FILE_INFO (g_list_nth_data (files, 0));
-	path_uri = nautilus_file_info_get_uri (file);
-	path = g_filename_from_uri (path_uri, NULL, NULL);
-	g_free (path_uri);
-
-	if (path == NULL)
-		return NULL;
-
-	if (syncdaemon_daemon_is_folder_enabled (uon->syncdaemon, path, &is_root))
-		is_managed = TRUE;
-
-	homedir_path = g_strdup_printf ("%s/", g_get_home_dir());
-	if (strncmp (path, homedir_path, strlen (homedir_path)) == 0)
-		is_inhome = TRUE;
-	g_free (homedir_path);
-
-	if ((item = g_hash_table_lookup (uon->udfs, path)) != NULL) {
-		is_udf = TRUE;
-		if (strcmp (item, UPDATE_PENDING) == 0)
-			is_pending = TRUE;
-	} else if ((item = g_hash_table_lookup (uon->public, path)) != NULL) {
-		is_public = TRUE;
-		if (strcmp (item, UPDATE_PENDING) == 0)
-			is_pending = TRUE;
-	}
-
-	if (ubuntuone_is_folder_shared (uon, path)) {
-		is_shared = TRUE;
-		if (check_share_offer_pending (uon, path))
-			is_share_offer_pending = TRUE;
-	}
-
-	if (ubuntuone_is_inside_shares (uon, path))
-		is_shared_to_me = TRUE;
-
-	is_dir = nautilus_file_info_is_directory (file);
-	is_regular = nautilus_file_info_get_file_type (file) == G_FILE_TYPE_REGULAR;
-
-	is_symlink = g_file_test (path, G_FILE_TEST_IS_SYMLINK);
-
-	cb_data = g_new0 (MenuCallbackData, 1);
-	cb_data->uon = uon;
-	cb_data->parent = window;
-	cb_data->path = g_strdup (path);
-
-	/* Create the root item */
-	root_item = nautilus_menu_item_new ("ubuntuone",
-					    _("_Ubuntu One"),
-					    _("Ubuntu One options"),
-					    "ubuntuone");
-	submenu = nautilus_menu_new ();
-	nautilus_menu_item_set_submenu (root_item, submenu);
-
-	g_object_weak_ref (G_OBJECT (root_item), (GWeakNotify) free_menu_cb_data, cb_data);
-
-	/* Share/unshare */
-	if ((is_managed || is_udf) && !is_root && is_dir && !is_symlink) {
-
-		menu_item = nautilus_menu_item_new ("ubuntuone-share",
-						    _("_Share..."),
-						    _("Share this folder on Ubuntu One"),
-						    "ubuntuone");
-		if (is_pending)
-			g_object_set (menu_item, "sensitive", FALSE, NULL);
-
-		g_signal_connect (menu_item, "activate",
-				  G_CALLBACK (share_folder_cb), cb_data);
-	} else {
-		/* the different tooltips will probably do us no good */
-		if (is_root) {
-			menu_item = nautilus_menu_item_new ("ubuntuone-noshare-root",
-							    _("_Share..."),
-							    _("Sorry, you can't share the root of a Ubuntu One volume"),
-							    "ubuntuone");
-		} else if (!(is_managed || is_udf)) {
-			menu_item = nautilus_menu_item_new ("ubuntuone-noshare-unmanaged",
-							    _("_Share..."),
-							    _("Sorry, you can't share folders not managed by Ubuntu One"),
-							    "ubuntuone");
-		} else {
-			menu_item = nautilus_menu_item_new ("ubuntuone-noshare-unmanaged",
-							    _("_Share..."),
-							    _("Sorry, you can only share folders"),
-							    "ubuntuone");
-		}
-		g_object_set (menu_item, "sensitive", FALSE, NULL);
-	}
-
-	nautilus_menu_append_item (submenu, menu_item);
-
-	if ((is_managed && is_shared) && !is_root && is_dir && !is_symlink) {
-		menu_item = nautilus_menu_item_new ("ubuntuone-unshare",
-						    _("Stop _Sharing"),
-						    _("Stop sharing this folder on Ubuntu One"),
-						    "ubuntuone");
-		if (is_pending || is_share_offer_pending)
-			g_object_set (menu_item, "sensitive", FALSE, NULL);
-
-		g_signal_connect (menu_item, "activate",
-				  G_CALLBACK (unshare_folder_cb), cb_data);
-		nautilus_menu_append_item (submenu, menu_item);
-	}
-
-	/* UDF logic
-	 *
-	 * XXX: clean this up and separate the logic out and reuse this
-	 * and locationbar somewhere (libsd?)
-	 */
-	menu_item = NULL;
-
-	if (is_dir && is_inhome && !is_symlink) {
-		/* UDFs could be happening */
-		if (is_managed) {
-			if (strcmp (path, uon->managed) == 0) {
-				/* the Ubuntu One directory, no UDFs */
-				menu_item = nautilus_menu_item_new ("ubuntuone-no-disable-u1",
-								    _("Stop Synchronizing This _Folder"),
-								    _("Sorry, you can't stop synchronizing ~/Ubuntu One"),
-								    "ubuntuone");
-				g_object_set (menu_item, "sensitive", FALSE, NULL);
-			} else if (is_root) {
-				/* the root of a UDF: disabling possible */
-
-				menu_item = nautilus_menu_item_new ("ubuntuone-disable-udf",
-								    _("Stop Synchronizing This _Folder"),
-								    _("Stop synchronizing this folder with Ubuntu One"),
-								    "ubuntuone");
-
-				g_signal_connect (menu_item, "activate",
-						  G_CALLBACK (unsubscribe_folder_cb), cb_data);
-			}
-		} else {
-			/* unmanaged */
-			menu_item = nautilus_menu_item_new ("ubuntuone-enable-udf",
-							    _("Synchronize This _Folder"),
-							    _("Start synchronizing this folder with Ubuntu One"),
-							    "ubuntuone");
-
-			g_signal_connect (menu_item, "activate",
-					  G_CALLBACK (subscribe_folder_cb), cb_data);
-		}
-	} else {
-		if (is_dir) {
-			menu_item = nautilus_menu_item_new ("ubuntuone-no-disable-u1",
-							    _("Synchronize This _Folder"),
-							    _("Sorry, you can only synchronize folders within your home folder"),
-							    "ubuntuone");
-		} else {
-			menu_item = nautilus_menu_item_new ("ubuntuone-no-disable-u1",
-							    _("Synchronize This _Folder"),
-							    _("Sorry, you can only synchronize folders"),
-							    "ubuntuone");
-		}
-
-		g_object_set (menu_item, "sensitive", FALSE, NULL);
-	}
-
-	if (!menu_item) {
-		menu_item = nautilus_menu_item_new ("ubuntuone-no-udf-operation-possible",
-						    _("Synchronize This _Folder"),
-						    _("Synchronization not possible for this folder"),
-						    "ubuntuone");
-		g_object_set (menu_item, "sensitive", FALSE, NULL);
-	}
-
-	nautilus_menu_append_item (submenu, menu_item);
-
-	/* public files */
-	menu_item = urlitem = NULL;
-
-	if (!is_shared_to_me && is_managed && is_regular && !is_symlink) {
-		if (is_public) {
-			urlitem = nautilus_menu_item_new ("ubuntuone-geturl",
-							  _("Copy Web _Link"),
-							  _("Copy the Ubuntu One public URL for this file to the clipboard."),
-							  "ubuntuone");
-			if (is_pending)
-				g_object_set (urlitem, "sensitive", FALSE, NULL);
-			g_signal_connect (urlitem, "activate",
-					  G_CALLBACK (copy_public_url_cb), cb_data);
-
-			menu_item = nautilus_menu_item_new ("ubuntuone-unpublish",
-							    _("Stop _Publishing"),
-							    _("No longer share this file with everyone via Ubuntu One."),
-							    "ubuntuone");
-			if (is_pending)
-				g_object_set (menu_item, "sensitive", FALSE, NULL);
-
-			cb_data->make_public = FALSE;
-		} else {
-			menu_item = nautilus_menu_item_new ("ubuntuone-publish",
-							    _("_Publish"),
-							    _("Make this file available to anyone via Ubuntu One."),
-							    "ubuntuone");
-			cb_data->make_public = TRUE;
-		}
-		g_signal_connect (menu_item, "activate",
-				  G_CALLBACK (toggle_publicity_cb), cb_data);
-	}
-
-	if (!urlitem) {
-		urlitem = nautilus_menu_item_new ("ubuntuone-geturl",
-						  _("Copy Web _Link"),
-						  _("Sorry, no public URL for this file via Ubuntu One."),
-						  "ubuntuone");
-		g_object_set (urlitem, "sensitive", FALSE, NULL);
-	}
-
-	if (!menu_item) {
-		menu_item = nautilus_menu_item_new ("ubuntuone-publish",
-						    _("_Publish"),
-						    _("Sorry, unable to publish via Ubuntu One."),
-						    "ubuntuone");
-		g_object_set (menu_item, "sensitive", FALSE, NULL);
-	}
-
-	nautilus_menu_append_item (submenu, menu_item);
-	nautilus_menu_append_item (submenu, urlitem);
-
-	/* location bar enable/disable */
-	if (ubuntuone_is_location_bar_enabled ()) {
-		menu_item = nautilus_menu_item_new ("ubuntuone-location-hide",
-						    _("Hide _Ribbon"),
-						    _("Do not show the Ubuntu One ribbon"
-						      " in selected folders"),
-						    "ubuntuone");
-	} else {
-		menu_item = nautilus_menu_item_new ("ubuntuone-location-show",
-						    _("Show _Ribbon in Some Folders"),
-						    _("Show the Ubuntu One ribbon"
-						      " in selected folders"),
-						    "ubuntuone");
-	}
-
-	g_signal_connect (menu_item, "activate",
-			  G_CALLBACK (toggle_location_cb), cb_data);
-	nautilus_menu_append_item (submenu, menu_item);
-
-	g_free (path);
-	return root_item;
-}

=== removed file 'nautilus/context-menu.h'
--- nautilus/context-menu.h	2010-09-22 10:58:17 +0000
+++ nautilus/context-menu.h	1970-01-01 00:00:00 +0000
@@ -1,32 +0,0 @@
-/*
- * UbuntuOne Nautilus plugin
- *
- * Authors: Rodrigo Moya <rodrigo.moya@canonical.com>
- *
- * Copyright 2009-2010 Canonical Ltd.
- *
- * This program is free software: you can redistribute it and/or modify it
- * under the terms of the GNU General Public License version 3, as published
- * by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranties of
- * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
- * PURPOSE.  See the GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License along
- * with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- */
-
-#ifndef __CONTEXT_MENU_H__
-#define __CONTEXT_MENU_H__
-
-#include <libnautilus-extension/nautilus-menu-provider.h>
-#include "ubuntuone-nautilus.h"
-
-NautilusMenuItem *context_menu_new (UbuntuOneNautilus *uon,
-				    GtkWidget *window,
-				    GList *files);
-
-#endif

=== removed file 'nautilus/error-dialog.c'
--- nautilus/error-dialog.c	2010-10-04 18:47:52 +0000
+++ nautilus/error-dialog.c	1970-01-01 00:00:00 +0000
@@ -1,50 +0,0 @@
-/*
- * ubuntuone-nautilus.c - Nautilus extensions for Ubuntu One
- *
- * Authors: Tim Cole <tim.cole@canonical.com>
- *          Rodney Dawes <rodney.dawes@canonical.com>
- *          Rodrigo Moya <rodrigo.moya@canonical.com>
- *
- * Copyright 2009-2010 Canonical Ltd.
- *
- * This program is free software: you can redistribute it and/or modify it
- * under the terms of the GNU General Public License version 3, as published
- * by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranties of
- * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
- * PURPOSE.  See the GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License along
- * with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- */
-
-#include <gtk/gtk.h>
-#include "ubuntuone-nautilus.h"
-
-void
-ubuntuone_show_error_dialog (UbuntuOneNautilus *uon, const gchar *title, const gchar *error, ...)
-{
-	gchar *buffer;
-	va_list args;
-	GtkWidget *dialog;
-
-	/* Build the error message string */
-	va_start (args, error);
-	buffer = g_strdup_vprintf (error, args);
-	va_end (args);
-
-	/* Show the dialog */
-	dialog = gtk_message_dialog_new (NULL,
-					 GTK_DIALOG_DESTROY_WITH_PARENT,
-					 GTK_MESSAGE_ERROR,
-					 GTK_BUTTONS_CLOSE,
-					 "%s", title);
-	gtk_message_dialog_format_secondary_text (GTK_MESSAGE_DIALOG (dialog), "%s", buffer);
-	gtk_dialog_run (GTK_DIALOG (dialog));
-
-	gtk_widget_destroy (dialog);
-	g_free (buffer);
-}

=== removed file 'nautilus/file-watcher.c'
--- nautilus/file-watcher.c	2011-04-06 17:31:56 +0000
+++ nautilus/file-watcher.c	1970-01-01 00:00:00 +0000
@@ -1,375 +0,0 @@
-/*
- * UbuntuOne Nautilus plugin
- *
- * Authors: Rodrigo Moya <rodrigo.moya@canonical.com>
- *
- * Copyright 2009-2010 Canonical Ltd.
- *
- * This program is free software: you can redistribute it and/or modify it
- * under the terms of the GNU General Public License version 3, as published
- * by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranties of
- * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
- * PURPOSE.  See the GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License along
- * with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include <glib/gi18n-lib.h>
-#include <libsyncdaemon/libsyncdaemon.h>
-#include "ubuntuone-nautilus.h"
-
-G_DEFINE_TYPE(FileWatcher, file_watcher, G_TYPE_OBJECT)
-
-static void observed_file_unrefed (gpointer user_data, GObject *where_the_object_was);
-
-static void
-foreach_weak_unref (gpointer key, gpointer value, gpointer user_data)
-{
-	g_object_weak_unref (G_OBJECT (value),
-			     (GWeakNotify) observed_file_unrefed,
-			     user_data);
-}
-
-static void
-file_watcher_finalize (GObject *object)
-{
-	FileWatcher *watcher = FILE_WATCHER (object);
-
-	if (watcher->files != NULL) {
-		g_hash_table_foreach (watcher->files, (GHFunc) foreach_weak_unref, watcher);
-		g_hash_table_destroy (watcher->files);
-	}
-
-	G_OBJECT_CLASS (file_watcher_parent_class)->finalize (object);
-}
-
-static void
-file_watcher_class_init (FileWatcherClass *klass)
-{
-	GObjectClass *object_class = G_OBJECT_CLASS (klass);
-
-	object_class->finalize = file_watcher_finalize;
-}
-
-static void
-file_watcher_init (FileWatcher *watcher)
-{
-	watcher->uon = NULL;
-	watcher->files = g_hash_table_new_full (g_str_hash, g_str_equal, g_free, NULL);
-}
-
-static void
-transfer_started_cb (SyncdaemonDaemon *daemon,
-		   gchar *path,
-		   gpointer user_data)
-{
-	FileWatcher *watcher = FILE_WATCHER (user_data);
-
-	file_watcher_update_path (watcher, path);
-}
-
-static void
-transfer_finished_cb (SyncdaemonDaemon *daemon,
-		    gchar *path,
-		    SyncdaemonTransferInfo * info,
-		    gpointer user_data)
-{
-	FileWatcher *watcher = FILE_WATCHER (user_data);
-
-	file_watcher_update_path (watcher, path);
-}
-
-static void
-share_created_cb (SyncdaemonDaemon *daemon,
-		  gboolean success,
-		  SyncdaemonShareInfo *share_info,
-		  gpointer user_data)
-{
-	FileWatcher *watcher = FILE_WATCHER (user_data);
-	const gchar * path;
-
-	path = syncdaemon_share_info_get_path (share_info);
-	if (success) {
-		file_watcher_update_path (watcher, path);
-	} else {
-		ubuntuone_show_error_dialog (watcher->uon, _("Error creating share."),
-					     _("There was an error sharing the folder '%s'"),
-					     path);
-	}
-}
-
-static void
-share_deleted_cb (SyncdaemonDaemon *daemon,
-		  gboolean success,
-		  SyncdaemonShareInfo *share_info,
-		  gpointer user_data)
-{
-	FileWatcher *watcher = FILE_WATCHER (user_data);
-	const gchar *path;
-
-	path = syncdaemon_share_info_get_path (share_info);
-	if (success) {
-		file_watcher_update_path (watcher, path);
-	} else {
-		ubuntuone_show_error_dialog (watcher->uon, _("Error deleting share."),
-					     _("There was an error deleting the share for folder '%s'"),
-					     path);
-	}
-}
-
-static void
-udf_created_cb (SyncdaemonDaemon *daemon,
-		gboolean success,
-		SyncdaemonFolderInfo *folder_info,
-		gpointer user_data)
-{
-	FileWatcher *watcher = FILE_WATCHER (user_data);
-	const gchar *path, *id;
-	gboolean subscribed;
-
-	path = syncdaemon_folder_info_get_path (folder_info);
-	id = syncdaemon_folder_info_get_volume_id (folder_info);
-	subscribed = syncdaemon_folder_info_get_subscribed (folder_info);
-	if (success) {
-		if (!g_hash_table_lookup (watcher->uon->udfs, path)) {
-			if (subscribed) {
-				g_hash_table_insert (watcher->uon->udfs, g_strdup (path), g_strdup (id));
-
-				/* Update the emblems of the files on this new UDF */
-				file_watcher_update_path (watcher, path);
-			}
-		}
-	}
-}
-
-static void
-udf_deleted_cb (SyncdaemonDaemon *daemon,
-		gboolean success,
-		SyncdaemonFolderInfo *folder_info,
-		gpointer user_data)
-{
-	FileWatcher *watcher = FILE_WATCHER (user_data);
-	const gchar * path;
-
-	path = syncdaemon_folder_info_get_path (folder_info);
-	if (path != NULL && success) {
-		/* Remove the files from the status hash table */
-		g_hash_table_remove (watcher->uon->udfs, path);
-
-		file_watcher_update_path (watcher, path);
-	}
-}
-
-static void
-file_published_cb (SyncdaemonDaemon *daemon,
-		   gboolean success,
-		   SyncdaemonFileInfo *finfo,
-		   gpointer user_data)
-{
-	FileWatcher *watcher = FILE_WATCHER (user_data);
-	const gchar * path, * url;
-	gboolean is_public;
-
-	path = syncdaemon_file_info_get_path (finfo);
-	if (success) {
-		url = syncdaemon_file_info_get_public_url (finfo);
-		is_public = syncdaemon_file_info_get_is_public (finfo);
-
-		if (!is_public && g_hash_table_lookup (watcher->uon->public, path))
-			g_hash_table_remove (watcher->uon->public, path);
-
-		if (is_public)
-			g_hash_table_replace (watcher->uon->public, g_strdup (path), g_strdup (url));
-
-		file_watcher_update_path (watcher, path);
-	} else {
-		ubuntuone_show_error_dialog (watcher->uon, _("Error publishing file."),
-					     _("There was an error publishing file '%s'"),
-					     path);
-	}
-}
-
-FileWatcher *
-file_watcher_new (UbuntuOneNautilus *uon)
-{
-	FileWatcher *watcher;
-
-	watcher = g_object_new (TYPE_FILE_WATCHER, NULL);
-	watcher->uon = uon;
-
-	/* Connect to transfers-related signals */
-	g_signal_connect (G_OBJECT (uon->syncdaemon), "upload_started",
-			  G_CALLBACK (transfer_started_cb), watcher);
-	g_signal_connect (G_OBJECT (uon->syncdaemon), "upload_finished",
-			  G_CALLBACK (transfer_finished_cb), watcher);
-	g_signal_connect (G_OBJECT (uon->syncdaemon), "download_started",
-			  G_CALLBACK (transfer_started_cb), watcher);
-	g_signal_connect (G_OBJECT (uon->syncdaemon), "download_finished",
-			  G_CALLBACK (transfer_finished_cb), watcher);
-
-	/* Connect to shares-related signals */
-	g_signal_connect (G_OBJECT (uon->syncdaemon), "share_created",
-			  G_CALLBACK (share_created_cb), watcher);
-	g_signal_connect (G_OBJECT (uon->syncdaemon), "share_deleted",
-			  G_CALLBACK (share_deleted_cb), watcher);
-
-	/* Connect to folder-related signals */
-	g_signal_connect (G_OBJECT (uon->syncdaemon), "folder_created",
-		    G_CALLBACK (udf_created_cb), watcher);
-	g_signal_connect (G_OBJECT (uon->syncdaemon), "folder_subscribed",
-			  G_CALLBACK (udf_created_cb), watcher);
-	g_signal_connect (G_OBJECT (uon->syncdaemon), "folder_deleted",
-			  G_CALLBACK (udf_deleted_cb), watcher);
-	g_signal_connect (G_OBJECT (uon->syncdaemon), "folder_unsubscribed",
-			  G_CALLBACK (udf_deleted_cb), watcher);
-
-	/* Connect to public files-related signals */
-	g_signal_connect (G_OBJECT (uon->syncdaemon), "file_published",
-			  G_CALLBACK (file_published_cb), watcher);
-	g_signal_connect (G_OBJECT (uon->syncdaemon), "file_unpublished",
-			  G_CALLBACK (file_published_cb), watcher);
-
-	return watcher;
-}
-
-static gboolean
-check_for_shared_folder (const gchar *path, GSList *list_of_shares)
-{
-	GSList *l;
-	gboolean is_shared = FALSE;
-
-	for (l = list_of_shares; l != NULL; l = l->next) {
-		SyncdaemonShareInfo *share_info = SYNCDAEMON_SHARE_INFO (l->data);
-
-		if (g_strcmp0 (syncdaemon_share_info_get_path (share_info), path) == 0) {
-			is_shared = TRUE;
-			break;
-		}
-	}
-
-	g_slist_free (list_of_shares);
-
-	return is_shared;
-}
-
-static void
-observed_file_unrefed (gpointer user_data, GObject *where_the_object_was)
-{
-	gchar *path;
-	FileWatcher *watcher = FILE_WATCHER (user_data);
-
-	path = g_filename_from_uri (nautilus_file_info_get_uri (NAUTILUS_FILE_INFO (where_the_object_was)), NULL, NULL);
-
-	if (path == NULL)
-		return;
-
-	if (g_hash_table_lookup (watcher->files, path))
-		g_hash_table_remove (watcher->files, path);
-
-	g_free (path);
-}
-
-void
-file_watcher_add_file (FileWatcher *watcher, NautilusFileInfo *file)
-{
-	gboolean is_root;
-	gchar *path = NULL;
-	NautilusFileInfo *old_file;
-
-	g_return_if_fail (IS_FILE_WATCHER (watcher));
-
-	path = g_filename_from_uri (nautilus_file_info_get_uri (file), NULL, NULL);
-	if (path == NULL)
-		return;
-
-	/* Always add it to the observed hash table, so that we can update emblems */
-	if ((old_file = g_hash_table_lookup (watcher->files, path))) {
-		g_object_weak_unref (G_OBJECT (old_file),
-				     (GWeakNotify) observed_file_unrefed, watcher);
-	}
-
-	g_object_weak_ref (G_OBJECT (file),
-			   (GWeakNotify) observed_file_unrefed, watcher);
-	g_hash_table_insert (watcher->files, g_strdup (path), file);
-
-	/* Retrieve metadata */
-	if (syncdaemon_daemon_is_folder_enabled (watcher->uon->syncdaemon, path, &is_root)) {
-		SyncdaemonInterface *interface;
-
-		interface = syncdaemon_daemon_get_filesystem_interface (watcher->uon->syncdaemon);
-		if (interface != NULL) {
-			SyncdaemonMetadata *metadata;
-			gboolean is_dir = nautilus_file_info_is_directory (file);
-
-			metadata = syncdaemon_filesystem_interface_get_metadata (
-				SYNCDAEMON_FILESYSTEM_INTERFACE (interface), path, is_dir);
-			if (SYNCDAEMON_IS_METADATA (metadata)) {
-				if (syncdaemon_metadata_get_is_synced (metadata))
-					nautilus_file_info_add_emblem (file, "ubuntuone-synchronized");
-				else
-					nautilus_file_info_add_emblem (file, "ubuntuone-updating");
-
-				if (is_dir) {
-					/* If it's a directory, check shares */
-					interface = syncdaemon_daemon_get_shares_interface (watcher->uon->syncdaemon);
-					if (check_for_shared_folder ((const gchar *) path,
-								     syncdaemon_shares_interface_get_shared (SYNCDAEMON_SHARES_INTERFACE (interface))) ||
-					    check_for_shared_folder ((const gchar *) path,
-								     syncdaemon_shares_interface_get_shares (SYNCDAEMON_SHARES_INTERFACE (interface)))) {
-						nautilus_file_info_add_emblem (file, "shared");
-					}
-				} else {
-					GSList *public_files, *l;
-
-					/* If it's a file, check for public files */
-					interface = syncdaemon_daemon_get_publicfiles_interface (watcher->uon->syncdaemon);
-					public_files = syncdaemon_publicfiles_interface_get_public_files (SYNCDAEMON_PUBLICFILES_INTERFACE (interface));
-					for (l = public_files; l != NULL; l = l->next) {
-						SyncdaemonFileInfo *file_info = SYNCDAEMON_FILE_INFO (l->data);
-
-						if (!SYNCDAEMON_IS_FILE_INFO (file_info))
-							continue;
-
-						if (g_strcmp0 (path, syncdaemon_file_info_get_path (file_info)) == 0) {
-							nautilus_file_info_add_emblem (file, "ubuntuone-public");
-							break;
-						}
-					}
-
-					g_slist_free (public_files);
-				}
-
-				/* Free memory */
-				g_object_unref (G_OBJECT (metadata));
-			}
-		}
-	}
-
-	g_free (path);
-}
-
-void
-file_watcher_update_path (FileWatcher *watcher, const gchar *path)
-{
-	GHashTableIter iter;
-	gchar *key;
-	NautilusFileInfo *file;
-
-	g_return_if_fail (IS_FILE_WATCHER (watcher));
-
-	/* Remove emblems from all files in the specified path */
-	g_hash_table_iter_init (&iter, watcher->files);
-	while (g_hash_table_iter_next (&iter, (gpointer *) &key, (gpointer *) &file)) {
-		if (g_str_has_prefix (key, path) || g_strcmp0 (key, path) == 0)
-			nautilus_file_info_invalidate_extension_info (file);
-	}
-}

=== removed file 'nautilus/file-watcher.h'
--- nautilus/file-watcher.h	2010-09-29 11:12:35 +0000
+++ nautilus/file-watcher.h	1970-01-01 00:00:00 +0000
@@ -1,54 +0,0 @@
-/*
- * UbuntuOne Nautilus plugin
- *
- * Authors: Rodrigo Moya <rodrigo.moya@canonical.com>
- *
- * Copyright 2009-2010 Canonical Ltd.
- *
- * This program is free software: you can redistribute it and/or modify it
- * under the terms of the GNU General Public License version 3, as published
- * by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranties of
- * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
- * PURPOSE.  See the GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License along
- * with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- */
-
-#ifndef __FILE_WATCHER_H__
-#define __FILE_WATCHER_H__
-
-#include <libnautilus-extension/nautilus-file-info.h>
-
-#define TYPE_FILE_WATCHER                (file_watcher_get_type ())
-#define FILE_WATCHER(obj)                (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_FILE_WATCHER, FileWatcher))
-#define IS_FILE_WATCHER(obj)             (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_FILE_WATCHER))
-#define FILE_WATCHER_CLASS(klass)        (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_FILE_WATCHER, FileWatcherClass))
-#define IS_FILE_WATCHER_CLASS(klass)     (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_FILE_WATCHER))
-#define FILE_WATCHER_GET_CLASS(obj)      (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_FILE_WATCHER, FileWatcherClass))
-
-typedef struct _UbuntuOneNautilus UbuntuOneNautilus;
-
-typedef struct {
-	GObject parent;
-
-	/* Private data */
-	UbuntuOneNautilus *uon;
-	GHashTable *files;
-} FileWatcher;
-
-typedef struct {
-	GObjectClass parent_class;
-} FileWatcherClass;
-
-GType        file_watcher_get_type (void);
-
-FileWatcher *file_watcher_new (UbuntuOneNautilus *uon);
-void         file_watcher_add_file (FileWatcher *watcher, NautilusFileInfo *file);
-void         file_watcher_update_path (FileWatcher *watcher, const gchar *path);
-
-#endif

=== removed file 'nautilus/highlight.c'
--- nautilus/highlight.c	2010-07-21 15:42:20 +0000
+++ nautilus/highlight.c	1970-01-01 00:00:00 +0000
@@ -1,162 +0,0 @@
-/*
- * Ubuntu One Nautilus plugin
- *
- * Authors: Alejandro J. Cura <alecu@canonical.com>
- *
- * Copyright 2010 Canonical Ltd.
- *
- * This program is free software: you can redistribute it and/or modify it
- * under the terms of the GNU General Public License version 3, as published
- * by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranties of
- * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
- * PURPOSE.  See the GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License along
- * with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- */
-
-#include <string.h>
-#include <glib.h>
-
-static gint
-compare_glongs (gconstpointer a,
-	        gconstpointer b,
-		gpointer user_data)
-{
-	return (glong) a - (glong) b;
-}
-
-
-static void
-tree_of_arrays_insert (GTree *tree,
-		       gpointer key,
-		       gpointer value)
-{
-	GPtrArray *array = g_tree_lookup (tree, key);
-	if (array == NULL) {
-		array = g_ptr_array_new ();
-		g_tree_insert (tree, key, array);
-	}
-	g_ptr_array_add (array, value);
-}
-
-
-static void
-destroy_tree_array (gpointer data)
-{
-	g_ptr_array_free (data, TRUE);
-}
-
-typedef struct {
-	GString *built_string;
-	gchar *source_string;
-	gchar *source_cursor;
-} BuildResultsData;
-
-
-static void
-append_array_strings (gpointer data,
-		      gpointer user_data)
-{
-	g_string_append (user_data, data);
-}
-
-
-static gboolean
-build_results (gpointer key,
-	       gpointer value,
-	       gpointer data)
-{
-	BuildResultsData* results_data = data;
-	glong tag_start = (glong)key;
-	gchar *tag_start_ptr = g_utf8_offset_to_pointer (results_data->source_string,
-							 tag_start);
-	glong len = tag_start_ptr - results_data->source_cursor;
-
-	gchar *escaped_str = g_markup_escape_text (results_data->source_cursor,
-						   len);
-	
-	g_string_append (results_data->built_string,
-			 escaped_str);
-	g_free (escaped_str);
-	results_data->source_cursor += len;
-
-	g_ptr_array_foreach (value,
-			     append_array_strings,
-			     results_data->built_string);
-	return FALSE;
-}
-
-
-gchar *
-highlight_result(gchar *needles, gchar *haystack)
-{
-	gchar **split_needles;
-	GTree *result_parts;
-	gchar *folded_needles;
-	gchar *folded_haystack;
-	gchar **needle;
-	gchar *escaped_str;
-	BuildResultsData results_data;
-
-	folded_needles = g_utf8_casefold (needles, -1);
-	folded_haystack = g_utf8_casefold (haystack, -1);
-
-	results_data.built_string = g_string_new ("");
-	results_data.source_string = haystack;
-	results_data.source_cursor = haystack;
-
-	result_parts = g_tree_new_full (compare_glongs,
-					NULL,
-					NULL,
-					destroy_tree_array);
-	
-	split_needles = g_strsplit (folded_needles, " ", 0);
-	needle = split_needles;
-	while (*needle != NULL) {
-		gchar *search_start;
-		gchar *start_ptr;
-		glong needle_len = g_utf8_strlen (*needle, -1);
-		if (needle_len < 1) {
-			needle++;
-			continue;
-		}
-		search_start = folded_haystack;
-		start_ptr = g_strstr_len (search_start, -1, *needle);
-		while (start_ptr != NULL) {
-			glong start = g_utf8_pointer_to_offset (folded_haystack,
-								start_ptr);
-			glong end = start + g_utf8_strlen (*needle, -1);
-			tree_of_arrays_insert (result_parts,
-					       (gpointer) start,
-					       "<b>");
-			tree_of_arrays_insert (result_parts,
-					       (gpointer) end,
-					       "</b>");
-			search_start = g_utf8_next_char (start_ptr);
-			start_ptr = g_strstr_len (search_start,
-			                          -1,
-						  *needle);
-		}
-		needle++;
-	}
-	g_free (folded_needles);
-	g_free (folded_haystack);
-
-
-	g_tree_foreach (result_parts, build_results, &results_data);
-
-	escaped_str = g_markup_escape_text (results_data.source_cursor, -1);
-	g_string_append (results_data.built_string,
-			 escaped_str);
-	g_free (escaped_str);
-
-	g_tree_destroy (result_parts);
-	g_strfreev (split_needles);
-	return g_string_free (results_data.built_string,
-			      FALSE);
-}

=== removed file 'nautilus/highlight.h'
--- nautilus/highlight.h	2010-07-20 15:00:25 +0000
+++ nautilus/highlight.h	1970-01-01 00:00:00 +0000
@@ -1,29 +0,0 @@
-/*
- * Ubuntu One Nautilus plugin
- *
- * Authors: Alejandro J. Cura <alecu@canonical.com>
- *
- * Copyright 2010 Canonical Ltd.
- *
- * This program is free software: you can redistribute it and/or modify it
- * under the terms of the GNU General Public License version 3, as published
- * by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranties of
- * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
- * PURPOSE.  See the GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License along
- * with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- */
-
-#ifndef __HIGHLIGHT_H__
-#define __HIGHLIGHT_H__
-
-#include <glib.h>
-
-gchar *highlight_result(gchar *search_string, gchar *result);
-
-#endif

=== removed file 'nautilus/location-widget.c'
--- nautilus/location-widget.c	2010-10-05 12:47:32 +0000
+++ nautilus/location-widget.c	1970-01-01 00:00:00 +0000
@@ -1,438 +0,0 @@
-/*
- * UbuntuOne Nautilus plugin
- *
- * Authors: Rodrigo Moya <rodrigo.moya@canonical.com>
- *
- * Copyright 2009-2010 Canonical Ltd.
- *
- * This program is free software: you can redistribute it and/or modify it
- * under the terms of the GNU General Public License version 3, as published
- * by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranties of
- * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
- * PURPOSE.  See the GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License along
- * with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include <glib/gi18n-lib.h>
-#include <libsyncdaemon/syncdaemon-folders-interface.h>
-#include <libsyncdaemon/syncdaemon-shares-interface.h>
-#include "location-widget.h"
-
-#define DISABLED_SYNC_HELP  _("These files are not backed up and will not be available in your other computers")
-#define ENABLED_SYNC_HELP _("These files are backed up and will be available in your other computers")
-
-G_DEFINE_TYPE(LocationWidget, location_widget, GTK_TYPE_HBOX)
-
-static void
-start_spinner (LocationWidget *location)
-{
-	gtk_widget_set_sensitive (location->toggle_button, FALSE);
-	gtk_widget_set_sensitive (location->help_label, FALSE);
-	gtk_widget_show (location->spinner);
-	gtk_spinner_start (GTK_SPINNER (location->spinner));
-}
-
-static void
-stop_spinner (LocationWidget *location)
-{
-	gtk_spinner_stop (GTK_SPINNER (location->spinner));
-	gtk_widget_hide (location->spinner);
-	gtk_widget_set_sensitive (location->help_label, TRUE);
-	gtk_widget_set_sensitive (location->toggle_button, TRUE);
-}
-
-static void
-folder_created_cb (SyncdaemonDaemon *daemon, gboolean success, SyncdaemonFolderInfo *folder_info, gpointer user_data)
-{
-	const gchar *path;
-	LocationWidget *location = LOCATION_WIDGET (user_data);
-
-	path = syncdaemon_folder_info_get_path (folder_info);
-	g_warning ("in folder_created_cb with path = %s", path);
-	if (g_strcmp0 (path, location->path) == 0) {
-		gtk_widget_set_sensitive (location->toggle_button, TRUE);
-		gtk_label_set_text (GTK_LABEL (location->help_label), ENABLED_SYNC_HELP);
-		if (!success) {
-			ubuntuone_show_error_dialog (location->uon, _("Error enabling folder"),
-						     _("Could not enable folder %s for synchronizing to Ubuntu One"),
-						     location->path);
-		}
-
-		stop_spinner (location);
-	}
-}
-
-static void
-folder_deleted_cb (SyncdaemonDaemon *daemon, gboolean success, SyncdaemonFolderInfo *folder_info, gpointer user_data)
-{
-	const gchar *path;
-	LocationWidget *location = LOCATION_WIDGET (user_data);
-
-	path = syncdaemon_folder_info_get_path (folder_info);
-	if (g_strcmp0 (path, location->path) == 0) {
-		stop_spinner (location);
-		if (success)
-			gtk_label_set_text (GTK_LABEL (location->help_label), DISABLED_SYNC_HELP);
-		else {
-			ubuntuone_show_error_dialog (location->uon, _("Error disabling folder"),
-						     _("Could not disable folder %s for synchronizing to Ubuntu One"),
-						     location->path);
-		}
-
-		stop_spinner (location);
-	}
-}
-
-static void
-location_widget_finalize (GObject *object)
-{
-	LocationWidget *location = LOCATION_WIDGET (object);
-
-	g_signal_handlers_disconnect_by_func (location->uon->syncdaemon, folder_created_cb, location);
-	g_signal_handlers_disconnect_by_func (location->uon->syncdaemon, folder_deleted_cb, location);
-
-	if (location->conf_notify_id != 0)
-		gconf_client_notify_remove (location->conf_client, location->conf_notify_id);
-
-	if (location->conf_client != NULL)
-		g_object_unref (G_OBJECT (location->conf_client));
-
-	if (location->path != NULL)
-		g_free (location->path);
-
-	G_OBJECT_CLASS (location_widget_parent_class)->finalize (object);
-}
-
-static void
-location_widget_class_init (LocationWidgetClass *klass)
-{
-	GObjectClass *object_class = G_OBJECT_CLASS (klass);
-
-	object_class->finalize = location_widget_finalize;
-}
-
-static void sync_toggled_cb (GtkToggleButton *button, gpointer user_data);
-
-static void
-disable_u1 (LocationWidget *location)
-{
-	SyncdaemonInterface *interface;
-
-	/* Perform the removal of this folder */
-	interface = syncdaemon_daemon_get_folders_interface (location->uon->syncdaemon);
-	if (interface != NULL) {
-		SyncdaemonFolderInfo *folder_info;
-
-                folder_info = syncdaemon_folders_interface_get_info (
-                        SYNCDAEMON_FOLDERS_INTERFACE (interface),
-                        location->path);
-                if (folder_info != NULL) {
-                        if (ubuntuone_check_shares_and_public_files (location->uon, folder_info, GTK_WIDGET (location))) {
-				start_spinner (location);
-
-                                syncdaemon_folders_interface_delete (
-                                        SYNCDAEMON_FOLDERS_INTERFACE (interface),
-                                        syncdaemon_folder_info_get_volume_id (folder_info));
-                        } else {
-				g_signal_handlers_block_by_func (location->toggle_button, sync_toggled_cb, location);
-				gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (location->toggle_button), TRUE);
-				g_signal_handlers_unblock_by_func (location->toggle_button, sync_toggled_cb, location);
-			}
-
-                        g_object_unref (G_OBJECT (folder_info));
-                }
-        }
-}
-
-static void enable_u1 (LocationWidget *location);
-
-static void
-daemon_connected_cb (SyncdaemonDaemon *daemon, gpointer user_data)
-{
-	LocationWidget *location = LOCATION_WIDGET (user_data);
-
-	if (syncdaemon_daemon_has_network (daemon) &&
-	    syncdaemon_authentication_has_credentials (
-		    syncdaemon_daemon_get_authentication (daemon))) {
-		enable_u1 (location);
-	}
-}
-
-static void
-enable_u1 (LocationWidget *location)
-{
-	SyncdaemonInterface *interface;
-
-	/* Perform the addition of this folder */
-	interface = syncdaemon_daemon_get_folders_interface (location->uon->syncdaemon);
-	if (interface != NULL) {
-		start_spinner (location);
-
-		/* If there is no user authenticated, make Syncdaemon do so */
-		if (syncdaemon_authentication_has_credentials (
-			    syncdaemon_daemon_get_authentication (location->uon->syncdaemon))) {
-			syncdaemon_folders_interface_create (SYNCDAEMON_FOLDERS_INTERFACE (interface),
-							     location->path);
-		} else {
-			g_signal_connect (G_OBJECT (location->uon->syncdaemon), "connected",
-					  G_CALLBACK (daemon_connected_cb), location);
-			syncdaemon_daemon_connect (location->uon->syncdaemon);
-		}
-	}
-}
-
-static void
-sync_toggled_cb (GtkToggleButton *button, gpointer user_data)
-{
-	LocationWidget *location = LOCATION_WIDGET (user_data);
-
-	if (gtk_toggle_button_get_active (GTK_TOGGLE_BUTTON (location->toggle_button)))
-		enable_u1 (location);
-	else
-		disable_u1 (location);
-}
-
-static gboolean
-expander_clicked_cb (GtkExpander *expander, gpointer user_data)
-{
-	LocationWidget *location = LOCATION_WIDGET (user_data);
-	gboolean expander_status = gtk_expander_get_expanded (expander);
-
-        gconf_client_set_bool (location->conf_client,
-                               EXPANDER_STATUS_KEY,
-                               expander_status,
-                               NULL);
-
-	return FALSE;
-}
-
-static void
-config_changed_cb (GConfClient *client, guint cnx_id, GConfEntry *entry, gpointer user_data)
-{
-	LocationWidget *location = LOCATION_WIDGET (user_data);
-
-	if (g_strcmp0 (gconf_entry_get_key (entry), EXPANDER_STATUS_KEY) == 0) {
-		gboolean expanded = gconf_client_get_bool (location->conf_client,
-							   EXPANDER_STATUS_KEY,
-							   NULL);
-		gtk_expander_set_expanded (GTK_EXPANDER (location->expander),
-					   expanded);
-                location->expander_status = expanded;
-	}
-}
-
-static void
-allocate_cb (GtkWidget *label, GtkAllocation *allocation, gpointer user_data)
-{
-	gint width;
-
-	if (allocation->width < 100)
-		width = 100;	/* some number */
-	else
-		width = allocation->width - 2;
-	gtk_widget_set_size_request(label, width, -1);
-}
-
-static void
-location_widget_init (LocationWidget *location)
-{
-	GtkWidget *hbox, *align;
-
-	location->path = NULL;
-	location->info_label = NULL;
-
-	/* Read expander status from GConf */
-	location->conf_client = gconf_client_get_default ();
-	gconf_client_add_dir (location->conf_client, EXPANDER_STATUS_SECTION,
-			      GCONF_CLIENT_PRELOAD_RECURSIVE, NULL);
-	location->conf_notify_id = gconf_client_notify_add (location->conf_client,
-							    EXPANDER_STATUS_SECTION,
-							    (GConfClientNotifyFunc) config_changed_cb,
-							    location,
-							    NULL,
-							    NULL);
-	location->expander_status = gconf_client_get_bool (location->conf_client,
-							   EXPANDER_STATUS_KEY, NULL);
-
-	/* Create the widgets in the interface */
-	hbox = gtk_hbox_new (FALSE, 0);
-	gtk_widget_show (hbox);
-	gtk_box_pack_start (GTK_BOX (location), hbox, TRUE, TRUE, 0);
-
-	location->expander = gtk_expander_new ("<b>Ubuntu One</b>");
-	gtk_widget_show (location->expander);
-	gtk_expander_set_use_markup (GTK_EXPANDER (location->expander), TRUE);
-	gtk_expander_set_expanded (GTK_EXPANDER (location->expander),
-				   location->expander_status);
-	g_signal_connect_after (G_OBJECT (location->expander), "activate",
-                                G_CALLBACK (expander_clicked_cb), location);
-	gtk_box_pack_start (GTK_BOX (hbox), location->expander, TRUE, TRUE, 0);
-	location->info_label = gtk_expander_get_label_widget (GTK_EXPANDER (location->expander));
-
-	location->help_label = gtk_label_new (DISABLED_SYNC_HELP);
-	gtk_widget_show (location->help_label);
-	gtk_label_set_use_markup (GTK_LABEL (location->help_label), TRUE);
-	gtk_label_set_line_wrap (GTK_LABEL (location->help_label), TRUE);
-	gtk_misc_set_alignment (GTK_MISC (location->help_label), 0.0, 0.5);
-	gtk_misc_set_padding (GTK_MISC (location->help_label), 4, 4);
-	g_signal_connect (G_OBJECT (location->help_label), "size-allocate",
-			  G_CALLBACK (allocate_cb), NULL );
-	gtk_container_add (GTK_CONTAINER (location->expander),
-			   location->help_label);
-
-	location->spinner = gtk_spinner_new ();
-	gtk_box_pack_start (GTK_BOX (hbox), location->spinner, FALSE, FALSE, 0);
-
-	/* Buttons */
-	align = gtk_alignment_new (1.0, 0.0, 0.0, 0.0);
-	gtk_widget_show (align);
-	gtk_box_pack_start (GTK_BOX (hbox), align,
-			    FALSE, FALSE, 0);
-
-	location->toggle_button = gtk_check_button_new_with_label (_("Synchronize this folder"));
-	gtk_widget_show (location->toggle_button);
-	gtk_container_add (GTK_CONTAINER (align), location->toggle_button);
-}
-
-static gboolean
-is_special_udf (UbuntuOneNautilus *uon, const gchar *path)
-{
-	gint i;
-	gchar *special_udfs[] = {
-		"Ubuntu One",
-		"Ubuntu One/Shared With Me",
-		".ubuntuone/Purchased from Ubuntu One",
-		".local/share/ubuntuone"
-	};
-
-	for (i = 0; i < G_N_ELEMENTS (special_udfs); i++) {
-		gchar *tmp;
-		gboolean done = FALSE;
-
-		tmp = g_build_filename (g_get_home_dir (), special_udfs[i], NULL);
-		if (g_str_has_prefix (path, tmp))
-			done = TRUE;
-
-		g_free (tmp);
-
-		if (done)
-			return TRUE;
-	}
-
-	return FALSE;
-}
-
-GtkWidget *
-location_widget_new (UbuntuOneNautilus *uon, const gchar *path)
-{
-	LocationWidget *location;
-	gboolean is_root;
-	gboolean is_xdg = FALSE;
-	guint i = 0;
-
-	g_return_val_if_fail (uon != NULL, NULL);
-	g_return_val_if_fail (path != NULL, NULL);
-
-	/* We only show the location bar for user's folders */
-	if (!g_str_has_prefix (path, g_get_home_dir ()) ||
-	    strlen (path) == strlen (g_get_home_dir ()))
-		return NULL;
-
-	/* in fact, we only show it for the toplevel XDG dirs, or the
-	   root of UDFs.
-	   Note the user can have an XDG dir configured outside of
-	   their home, and we don't support that (so the above check
-	   is not actually redundant)
-
-	   As per lp:623482, don't show it on the Video directory.
-	*/
-	for (i = 0; i < G_USER_N_DIRECTORIES; i++) {
-		if (i != G_USER_DIRECTORY_VIDEOS &&
-		    g_strcmp0 (g_get_user_special_dir (i), path) == 0) {
-			is_xdg = TRUE;
-			break;
-		}
-	}
-	if (!is_xdg) {
-		/* last chance */
-		syncdaemon_daemon_is_folder_enabled (uon->syncdaemon, path, &is_root);
-		if (!is_root || is_special_udf (uon, path))
-			return NULL;
-	}
-
-	location = (LocationWidget *) g_object_new (TYPE_LOCATION_WIDGET, NULL);
-	location->uon = uon;
-	location->path = g_strdup (path);
-
-	/* Connect to Syncdaemon signals */
-	g_signal_connect (G_OBJECT (uon->syncdaemon), "folder_created",
-			  G_CALLBACK (folder_created_cb), location);
-	g_signal_connect (G_OBJECT (uon->syncdaemon), "folder_deleted",
-			  G_CALLBACK (folder_deleted_cb), location);
-
-	if (syncdaemon_daemon_is_folder_enabled (uon->syncdaemon, path, &is_root)) {
-		/* Create label and disable button */
-		gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (location->toggle_button), TRUE);
-		if (!is_root || is_special_udf (uon, path))
-			gtk_widget_set_sensitive (location->toggle_button, FALSE);
-
-		gtk_label_set_text (GTK_LABEL (location->help_label), ENABLED_SYNC_HELP);
-	} else {
-		/* Check if this is the 'Shared with me' folder */
-		if (is_special_udf (uon, path)) {
-			gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (location->toggle_button), TRUE);
-			gtk_widget_set_sensitive (location->toggle_button, FALSE);
-		} else {
-			GSList *udfs, *l;
-			SyncdaemonInterface *interface;
-			gboolean allow_enabling = TRUE;
-
-			/* Check to see if this is the parent of a UDF */
-			interface = syncdaemon_daemon_get_folders_interface (uon->syncdaemon);
-			udfs = syncdaemon_folders_interface_get_folders (SYNCDAEMON_FOLDERS_INTERFACE (interface));
-			for (l = udfs; l != NULL; l = l->next) {
-				SyncdaemonFolderInfo *folder_info = SYNCDAEMON_FOLDER_INFO (l->data);
-
-				if (g_str_has_prefix (syncdaemon_folder_info_get_path (folder_info), path))
-					allow_enabling = FALSE;
-			}
-
-			g_slist_free (udfs);
-			
-			gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (location->toggle_button), FALSE);
-			if (!allow_enabling) {
-				gtk_label_set_text (GTK_LABEL (location->help_label),
-						    _("This folder cannot be synchronized because it contains "
-						      "one or more folders that are already synchronized"));
-
-				gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (location->toggle_button), FALSE);
-				gtk_widget_set_sensitive (location->toggle_button, FALSE);
-			}
-		}
-	}
-
-	/* Check for connectivity */
-	if (!syncdaemon_daemon_has_network (location->uon->syncdaemon)) {
-		gtk_widget_set_sensitive (location->toggle_button, FALSE);
-		gtk_label_set_text (GTK_LABEL (location->help_label),
-				    _("Operations on this folder are disabled because there is no network "
-				      "connection"));
-	}
-
-	g_signal_connect (G_OBJECT (location->toggle_button), "toggled",
-			  G_CALLBACK (sync_toggled_cb), location);
-
-	gtk_widget_show (GTK_WIDGET (location));
-
-	return GTK_WIDGET (location);
-}

=== removed file 'nautilus/location-widget.h'
--- nautilus/location-widget.h	2010-09-22 10:58:17 +0000
+++ nautilus/location-widget.h	1970-01-01 00:00:00 +0000
@@ -1,64 +0,0 @@
-/*
- * UbuntuOne Nautilus plugin
- *
- * Authors: Rodrigo Moya <rodrigo.moya@canonical.com>
- *
- * Copyright 2009-2010 Canonical Ltd.
- *
- * This program is free software: you can redistribute it and/or modify it
- * under the terms of the GNU General Public License version 3, as published
- * by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranties of
- * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
- * PURPOSE.  See the GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License along
- * with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- */
-
-#ifndef __LOCATION_WIDGET_H__
-#define __LOCATION_WIDGET_H__
-
-#include <gtk/gtk.h>
-#include <gconf/gconf-client.h>
-#include "ubuntuone-nautilus.h"
-
-#define TYPE_LOCATION_WIDGET                (location_widget_get_type ())
-#define LOCATION_WIDGET(obj)                (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_LOCATION_WIDGET, LocationWidget))
-#define IS_LOCATION_WIDGET(obj)             (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_LOCATION_WIDGET))
-#define LOCATION_WIDGET_CLASS(klass)        (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_LOCATION_WIDGET, LocationWidgetClass))
-#define IS_LOCATION_WIDGET_CLASS(klass)     (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_LOCATION_WIDGET))
-#define LOCATION_WIDGET_GET_CLASS(obj)      (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_LOCATION_WIDGET, LocationWidgetClass))
-
-#define EXPANDER_STATUS_SECTION "/apps/ubuntuone/nautilus"
-#define EXPANDER_STATUS_KEY EXPANDER_STATUS_SECTION "/expand-location"
-#define EXPANDER_SHOWN_KEY EXPANDER_STATUS_SECTION "/show-location"
-
-typedef struct {
-	GtkHBox parent;
-
-	/* Private data */
-	UbuntuOneNautilus *uon;
-	gchar *path;
-	GtkWidget *expander;
-	gboolean expander_status;
-	GtkWidget *info_label;
-	GtkWidget *help_label;
-	GtkWidget *spinner;
-	GtkWidget *toggle_button;
-
-	GConfClient *conf_client;
-	guint conf_notify_id;
-} LocationWidget;
-
-typedef struct {
-	GtkHBoxClass parent_class;
-} LocationWidgetClass;
-
-GType      location_widget_get_type (void);
-GtkWidget *location_widget_new (UbuntuOneNautilus *uon, const gchar *path);
-
-#endif

=== removed file 'nautilus/share-dialog.c'
--- nautilus/share-dialog.c	2011-06-15 14:46:04 +0000
+++ nautilus/share-dialog.c	1970-01-01 00:00:00 +0000
@@ -1,160 +0,0 @@
-/*
- * UbuntuOne Nautilus plugin
- *
- * Authors: Rodrigo Moya <rodrigo.moya@canonical.com>
- *
- * Copyright 2009-2010 Canonical Ltd.
- *
- * This program is free software: you can redistribute it and/or modify it
- * under the terms of the GNU General Public License version 3, as published
- * by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranties of
- * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
- * PURPOSE.  See the GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License along
- * with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include <glib/gi18n-lib.h>
-#include <libsyncdaemon/libsyncdaemon.h>
-#include "share-dialog.h"
-#include "u1-contacts-picker.h"
-
-G_DEFINE_TYPE(ShareDialog, share_dialog, GTK_TYPE_DIALOG)
-
-static void
-share_dialog_finalize (GObject *object)
-{
-	ShareDialog *dialog = SHARE_DIALOG (object);
-
-	if (dialog->path != NULL)
-		g_free (dialog->path);
-
-	G_OBJECT_CLASS (share_dialog_parent_class)->finalize (object);
-}
-
-static void
-share_dialog_class_init (ShareDialogClass *klass)
-{
-	GObjectClass *object_class = G_OBJECT_CLASS (klass);
-
-	object_class->finalize = share_dialog_finalize;
-}
-
-static void
-picker_selection_changed_cb (U1ContactsPicker *picker, gpointer user_data)
-{
-	GSList *selection;
-	GtkWidget * dialog = (GtkWidget *) user_data;
-
-	selection = u1_contacts_picker_get_selected_emails (picker);
-	if (selection != NULL) {
-		gtk_dialog_set_response_sensitive (GTK_DIALOG (dialog), GTK_RESPONSE_ACCEPT, TRUE);
-		u1_contacts_picker_free_selection_list (selection);
-	} else
-		gtk_dialog_set_response_sensitive (GTK_DIALOG (dialog), GTK_RESPONSE_ACCEPT, FALSE);
-}
-
-static void
-dialog_response_cb (GtkDialog *gtk_dialog,
-		    gint response,
-		    gpointer user_data)
-{
-	ShareDialog *dialog = SHARE_DIALOG (gtk_dialog);
-
-	switch (response) {
-	case GTK_RESPONSE_ACCEPT: {
-		GSList *emails;
-		SyncdaemonSharesInterface *interface;
-		gboolean allow_mods = FALSE;
-
-		emails = u1_contacts_picker_get_selected_emails (U1_CONTACTS_PICKER (dialog->user_picker));
-		if (emails == NULL) {
-			ubuntuone_show_error_dialog (dialog->uon,
-						     _("Error"),
-						     _("You need to select at least one contact to share this folder with"));
-
-			return;
-		}
-
-		allow_mods = gtk_toggle_button_get_active (GTK_TOGGLE_BUTTON (dialog->allow_mods));
-
-		interface = SYNCDAEMON_SHARES_INTERFACE (syncdaemon_daemon_get_shares_interface (dialog->uon->syncdaemon));
-		if (interface != NULL) {
-			syncdaemon_shares_interface_create (interface,
-							    dialog->path,
-							    emails,
-							    g_path_get_basename (dialog->path),
-							    allow_mods);
-		}
- 
-		u1_contacts_picker_free_selection_list (emails);
-	}
-	default:
-		gtk_widget_destroy (GTK_WIDGET (dialog));
-		break;
-	}
-}
-
-static void
-share_dialog_init (ShareDialog *dialog)
-{
-	GtkWidget *area, *table;
-
-	gtk_window_set_title (GTK_WINDOW (dialog), _("Share on Ubuntu One"));
-	gtk_window_set_destroy_with_parent (GTK_WINDOW (dialog), TRUE);
-	gtk_dialog_add_buttons (GTK_DIALOG (dialog),
-				GTK_STOCK_CANCEL, GTK_RESPONSE_CANCEL,
-				(_("Share")), GTK_RESPONSE_ACCEPT,
-				NULL);
-	gtk_dialog_set_default_response (GTK_DIALOG (dialog), GTK_RESPONSE_ACCEPT);
-	gtk_dialog_set_response_sensitive (GTK_DIALOG (dialog), GTK_RESPONSE_ACCEPT, FALSE);
-	gtk_window_set_icon_name (GTK_WINDOW (dialog), "ubuntuone");
-	g_signal_connect (G_OBJECT (dialog), "response",
-			  G_CALLBACK (dialog_response_cb), NULL);
-
-	area = gtk_dialog_get_content_area (GTK_DIALOG (dialog));
-
-	table = gtk_table_new (3, 2, FALSE);
-	gtk_table_set_row_spacings (GTK_TABLE (table), 12);
-	gtk_table_set_col_spacings (GTK_TABLE (table), 6);
-	gtk_container_set_border_width (GTK_CONTAINER (table), 7);
-	gtk_widget_show (table);
-	gtk_container_add (GTK_CONTAINER (area), table);
-
-	dialog->user_picker = u1_contacts_picker_new ();
-	g_signal_connect (G_OBJECT (dialog->user_picker), "selection-changed",
-			  G_CALLBACK (picker_selection_changed_cb), dialog);
-	gtk_table_attach (GTK_TABLE (table), dialog->user_picker, 0, 2, 0, 2,
-			  GTK_FILL | GTK_EXPAND | GTK_SHRINK,
-			  GTK_FILL | GTK_EXPAND | GTK_SHRINK, 3, 3);
-	gtk_widget_show (dialog->user_picker);
-
-	dialog->allow_mods = gtk_check_button_new_with_mnemonic (_("_Allow Modification"));
-	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (dialog->allow_mods), TRUE); /* Default to RW */
-	gtk_table_attach (GTK_TABLE (table), dialog->allow_mods, 0, 2, 2, 3, GTK_FILL, GTK_FILL, 3, 3);
-	gtk_widget_show (dialog->allow_mods);
-
-	gtk_widget_set_size_request (GTK_WIDGET (dialog), 500, 450);
-}
-
-GtkWidget *
-share_dialog_new (GtkWidget *parent, UbuntuOneNautilus *uon, const gchar *path)
-{
-	ShareDialog *dialog;
-	
-	dialog = (ShareDialog *) g_object_new (TYPE_SHARE_DIALOG, NULL);
-	dialog->uon = uon;
-	dialog->path = g_strdup (path);
-	gtk_window_set_transient_for (GTK_WINDOW (dialog), GTK_WINDOW (parent));
-
-	return (GtkWidget *) dialog;
-}

=== removed file 'nautilus/share-dialog.h'
--- nautilus/share-dialog.h	2010-08-02 10:40:26 +0000
+++ nautilus/share-dialog.h	1970-01-01 00:00:00 +0000
@@ -1,51 +0,0 @@
-/*
- * UbuntuOne Nautilus plugin
- *
- * Authors: Rodrigo Moya <rodrigo.moya@canonical.com>
- *
- * Copyright 2009-2010 Canonical Ltd.
- *
- * This program is free software: you can redistribute it and/or modify it
- * under the terms of the GNU General Public License version 3, as published
- * by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranties of
- * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
- * PURPOSE.  See the GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License along
- * with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- */
-
-#ifndef __SHARE_DIALOG_H__
-#define __SHARE_DIALOG_H__
-
-#include <gtk/gtk.h>
-#include "ubuntuone-nautilus.h"
-
-#define TYPE_SHARE_DIALOG                (share_dialog_get_type ())
-#define SHARE_DIALOG(obj)                (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SHARE_DIALOG, ShareDialog))
-#define IS_SHARE_DIALOG(obj)             (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SHARE_DIALOG))
-#define SHARE_DIALOG_CLASS(klass)        (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SHARE_DIALOG, ShareDialogClass))
-#define IS_SHARE_DIALOG_CLASS(klass)     (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SHARE_DIALOG))
-#define SHARE_DIALOG_GET_CLASS(obj)      (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_SHARE_DIALOG, ShareDialogClass))
-
-typedef struct {
-	GtkDialog parent;
-
-	UbuntuOneNautilus *uon;
-	gchar *path;
-	GtkWidget *user_picker;
-	GtkWidget *allow_mods;
-} ShareDialog;
-
-typedef struct {
-	GtkDialogClass parent_class;
-} ShareDialogClass;
-
-GType      share_dialog_get_type (void);
-GtkWidget *share_dialog_new (GtkWidget *parent, UbuntuOneNautilus *uon, const gchar *path);
-
-#endif

=== removed file 'nautilus/test-contacts-picker.c'
--- nautilus/test-contacts-picker.c	2011-06-15 14:46:04 +0000
+++ nautilus/test-contacts-picker.c	1970-01-01 00:00:00 +0000
@@ -1,98 +0,0 @@
-/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
-/*
- * Copyright (C) 2009 Canonical Services Ltd (www.canonical.com)
- *
- * Authors: Rodrigo Moya <rodrigo.moya@canonical.com>
- *
- * This library is free software; you can redistribute it and/or
- * modify it under the terms of version 2 of the GNU Lesser General Public
- * License as published by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
- * General Public License for more details.
- *
- * You should have received a copy of the GNU Lesser General Public
- * License along with this library; if not, write to the
- * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
- * Boston, MA 02110-1301, USA.
- */
-
-#include "u1-contacts-picker.h"
-
-static void
-dialog_response_cb (GtkDialog *dialog, gint response_id, gpointer data)
-{
-	GtkWidget *picker = GTK_WIDGET (data);
-
-	if (response_id == GTK_RESPONSE_OK) {
-		GSList *selection, *l;
-		GtkWidget *msg_dialog;
-		GString *str = NULL;
-
-		selection = u1_contacts_picker_get_selected_emails (U1_CONTACTS_PICKER (picker));
-		for (l = selection; l != NULL; l = l->next) {
-			if (str == NULL) {
-				str = g_string_new ("Selected items:\n\t");
-				str = g_string_append (str, (const gchar *) l->data);
-			} else {
-				str = g_string_append (str, "\n\t");
-				str = g_string_append (str, (const gchar *) l->data);
-			}
-		}
-
-		u1_contacts_picker_free_selection_list (selection);
-
-		/* Display selection to the user */
-		if (str != NULL) {
-			msg_dialog = gtk_message_dialog_new (GTK_WINDOW (dialog),
-							     0,
-							     GTK_MESSAGE_INFO,
-							     GTK_BUTTONS_OK,
-							     "%s", str->str);
-			g_string_free (str, FALSE);
-		} else {
-			msg_dialog = gtk_message_dialog_new (GTK_WINDOW (dialog),
-							     0,
-							     GTK_MESSAGE_INFO,
-							     GTK_BUTTONS_OK,
-							     "Nothing has been selected");
-		}
-
-		gtk_dialog_run (GTK_DIALOG (msg_dialog));
-	}
-
-	gtk_main_quit ();
-}
-
-int
-main (int argc, char *argv[])
-{
-	GtkWidget *window, *picker;
-
-	gtk_init (&argc, &argv);
-	g_thread_init (NULL);
-
-	/* Create the main window */
-	window = gtk_dialog_new_with_buttons ("Test contacts picker",
-					      NULL,
-					      0,
-					      GTK_STOCK_CANCEL, GTK_RESPONSE_CANCEL,
-					      GTK_STOCK_OK, GTK_RESPONSE_OK,
-					      NULL);
-	gtk_dialog_set_default_response (GTK_DIALOG (window), GTK_RESPONSE_OK);
-
-	picker = u1_contacts_picker_new ();
-	gtk_widget_show (picker);
-	gtk_box_pack_start (GTK_BOX (gtk_dialog_get_content_area (GTK_DIALOG (window))), picker, TRUE, TRUE, 6);
-
-	g_signal_connect (G_OBJECT (window), "response", G_CALLBACK (dialog_response_cb), picker);
-	
-	/* Run the application */
-	gtk_widget_show (window);
-	gtk_widget_set_size_request (window, 400, 250);
-	gtk_main ();
-
-	return 0;
-}

=== removed file 'nautilus/test-highlight.c'
--- nautilus/test-highlight.c	2010-07-21 15:42:20 +0000
+++ nautilus/test-highlight.c	1970-01-01 00:00:00 +0000
@@ -1,90 +0,0 @@
-/*
- * Authors: Alejandro J. Cura <alecu@canonical.com>
- *
- * Copyright 2010 Canonical Ltd.
- *
- * This program is free software: you can redistribute it and/or modify it
- * under the terms of the GNU General Public License version 3, as published
- * by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranties of
- * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
- * PURPOSE.  See the GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License along
- * with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- */
-
-#include "highlight.h"
-
-#include <glib.h>
-
-#define ASSERT_HIGHLIGHT(a,b,c) \
-	ret = highlight_result (a, b); \
-	g_assert_cmpstr (ret, ==, c); \
-	g_free (ret);
-
-static void
-test_highlight_matches (void)
-{
-	gchar *ret = NULL;
-	/* match at beginning */
-	ASSERT_HIGHLIGHT ("john", "john q. public", "<b>john</b> q. public");
-
-	/* match in the middle */
-	ASSERT_HIGHLIGHT ("john", "andrew john q. public", "andrew <b>john</b> q. public");
-
-	/* no match */
-	ASSERT_HIGHLIGHT ("john", "andrew q. public", "andrew q. public");
-
-	/* double match */
-	ASSERT_HIGHLIGHT ("jo sm", "john smith", "<b>jo</b>hn <b>sm</b>ith");
-	ASSERT_HIGHLIGHT ("john", "john johnson", "<b>john</b> <b>john</b>son");
-
-	/* empty search */
-	ASSERT_HIGHLIGHT ("", "john q. public", "john q. public");
-
-	/* empty search with entities */
-	ASSERT_HIGHLIGHT ("", "john & public", "john &amp; public");
-
-	/* empty search term */
-	ASSERT_HIGHLIGHT (" ", "john q. public", "john q. public");
-
-	/* empty result */
-	ASSERT_HIGHLIGHT ("john", "", "");
-
-	/* case insensitive match */
-	ASSERT_HIGHLIGHT ("john", "John Smith", "<b>John</b> Smith");
-	ASSERT_HIGHLIGHT ("john", "Brian JOHNSON", "Brian <b>JOHN</b>SON");
-	ASSERT_HIGHLIGHT ("br jo", "Brian JOHNSON", "<b>Br</b>ian <b>JO</b>HNSON");
-
-	/* nested match */
-	ASSERT_HIGHLIGHT ("edward wa", "edward wall", "<b>ed<b>wa</b>rd</b> <b>wa</b>ll");
-
-	/* utf-8 strings */
-	ASSERT_HIGHLIGHT ("ñandÚ", "Ñandú", "<b>Ñandú</b>");
-
-	/* xml entities in the search */
-	ASSERT_HIGHLIGHT ("john &", "john sons", "<b>john</b> sons");
-
-	/* xml entities in the result */
-	ASSERT_HIGHLIGHT ("john sons", "john & sons", "<b>john</b> &amp; <b>sons</b>");
-
-	/* xml entities everywhere */
-	ASSERT_HIGHLIGHT ("john & sons", "john & sons", "<b>john</b> <b>&amp;</b> <b>sons</b>");
-
-	/* make sure the name of the entities is not highlighted */
-	ASSERT_HIGHLIGHT ("john amp sons", "john & sons", "<b>john</b> &amp; <b>sons</b>");
-}
-
-int
-main (int argc, gchar *argv[])
-{
-	g_test_init (&argc, &argv, NULL);
-
-	g_test_add_func ("/testcontacts/TestHighlightMatches", test_highlight_matches);
-
-	return g_test_run ();
-}

=== removed file 'nautilus/u1-contacts-picker.c'
--- nautilus/u1-contacts-picker.c	2010-09-17 12:01:52 +0000
+++ nautilus/u1-contacts-picker.c	1970-01-01 00:00:00 +0000
@@ -1,269 +0,0 @@
-/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
-/*
- * Copyright (C) 2009 Canonical Services Ltd (www.canonical.com)
- *
- * Authors: Rodrigo Moya <rodrigo.moya@canonical.com>
- *
- * This library is free software; you can redistribute it and/or
- * modify it under the terms of version 2 of the GNU Lesser General Public
- * License as published by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
- * General Public License for more details.
- *
- * You should have received a copy of the GNU Lesser General Public
- * License along with this library; if not, write to the
- * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
- * Boston, MA 02110-1301, USA.
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include <glib/gi18n-lib.h>
-#include "u1-contacts-picker.h"
-#include "add-contact-dialog.h"
-#include "contacts-view.h"
-
-struct _U1ContactsPickerPrivate {
-	GtkWidget *search_entry;
-	GtkWidget *total_label;
-	GtkWidget *contacts_view;
-
-	/* Hidden widgets to add a new contact */
-	GtkWidget *add_contact_button;
-};
-
-enum {
-	SELECTION_CHANGED_SIGNAL,
-	LAST_SIGNAL
-};
-
-static guint u1_contacts_picker_signals[LAST_SIGNAL] = { 0, };
-
-G_DEFINE_TYPE(U1ContactsPicker, u1_contacts_picker, GTK_TYPE_VBOX)
-
-static void
-u1_contacts_picker_finalize (GObject *object)
-{
-	U1ContactsPicker *picker = U1_CONTACTS_PICKER (object);
-
-	if (picker->priv != NULL) {
-		g_free (picker->priv);
-		picker->priv = NULL;
-	}
-
-	G_OBJECT_CLASS (u1_contacts_picker_parent_class)->finalize (object);
-}
-
-static void
-u1_contacts_picker_class_init (U1ContactsPickerClass *klass)
-{
-	GObjectClass *object_class = G_OBJECT_CLASS (klass);
-
-	object_class->finalize = u1_contacts_picker_finalize;
-
-	/* Register object signals */
-	u1_contacts_picker_signals[SELECTION_CHANGED_SIGNAL] =
-		g_signal_new ("selection-changed",
-			      G_TYPE_FROM_CLASS (klass),
-			      (GSignalFlags) G_SIGNAL_RUN_LAST,
-			      G_STRUCT_OFFSET (U1ContactsPickerClass, selection_changed),
-			      NULL,
-			      NULL,
-			      g_cclosure_marshal_VOID__VOID,
-			      G_TYPE_NONE,
-			      0);
-}
-
-static void
-search_activated_cb (GtkEditable *entry, gpointer data)
-{
-	const gchar *text;
-	U1ContactsPicker *picker = (U1ContactsPicker *) data;
-
-	text = gtk_entry_get_text (GTK_ENTRY (entry));
-	contacts_view_search (CONTACTS_VIEW (picker->priv->contacts_view), text);
-
-	/* If no contacts, offer the user to add it to the contacts database */
-	if (contacts_view_get_matched_contacts_count (CONTACTS_VIEW (picker->priv->contacts_view)) == 0 &&
-	    g_strrstr (text, "@") != NULL)
-		gtk_widget_show (picker->priv->add_contact_button);
-	else
-		gtk_widget_hide (picker->priv->add_contact_button);
-}
-
-static void
-view_selection_changed_cb (ContactsView *cv, gpointer user_data)
-{
-	U1ContactsPicker *picker = U1_CONTACTS_PICKER (user_data);
-
-	g_signal_emit (picker, u1_contacts_picker_signals[SELECTION_CHANGED_SIGNAL], 0);
-}
-
-static void
-contacts_count_changed_cb (ContactsView *cv, gint total, gpointer user_data)
-{
-	gchar *label;
-	U1ContactsPicker *picker = U1_CONTACTS_PICKER (user_data);
-
-	if (strlen (gtk_entry_get_text (GTK_ENTRY (picker->priv->search_entry))) > 0)
-		label = g_strdup_printf (ngettext ("Found %d match", "Found %d matches", total), total);
-	else
-		label = g_strdup_printf (ngettext ("%d contact", "%d contacts", total), total);
-	gtk_label_set_text (GTK_LABEL (picker->priv->total_label), label);
-
-	g_free (label);
-}
-
-static void
-entry_icon_pressed_cb (GtkEntry *entry, GtkEntryIconPosition icon_pos, GdkEventButton *event, gpointer user_data)
-{
-	U1ContactsPicker *picker = U1_CONTACTS_PICKER (user_data);
-
-	if (icon_pos == GTK_ENTRY_ICON_SECONDARY)
-		gtk_entry_set_text (GTK_ENTRY (picker->priv->search_entry), "");
-}
-
-static void
-add_contact_cb (GtkButton *button, gpointer user_data)
-{
-	GtkWidget *dialog;
-	const gchar *search_text;
-	U1ContactsPicker *picker = (U1ContactsPicker *) user_data;
-
-	/* Create the dialog */
-	search_text = gtk_entry_get_text (GTK_ENTRY (picker->priv->search_entry));
-	dialog = add_contact_dialog_new (GTK_WINDOW (gtk_widget_get_toplevel (GTK_WIDGET (picker))), search_text);
-
-	/* Run the dialog */
-	if (gtk_dialog_run (GTK_DIALOG (dialog)) == GTK_RESPONSE_OK) {
-		contacts_view_add_contact (CONTACTS_VIEW (picker->priv->contacts_view),
-					   add_contact_dialog_get_name_text (ADD_CONTACT_DIALOG (dialog)),
-					   add_contact_dialog_get_email_text (ADD_CONTACT_DIALOG (dialog)));
-		gtk_entry_set_text (GTK_ENTRY (picker->priv->search_entry), "");
-	}
-
-	gtk_widget_destroy (dialog);
-	gtk_widget_hide (picker->priv->add_contact_button);
-}
-
-static void
-u1_contacts_picker_init (U1ContactsPicker *picker)
-{
-	GtkWidget *table;
-
-	picker->priv = g_new0 (U1ContactsPickerPrivate, 1);
-
-	/* Create the table to contain the layout */
-	table = gtk_table_new (4, 3, FALSE);
-	gtk_widget_show (table);
-	gtk_box_pack_start (GTK_BOX (picker), table, TRUE, TRUE, 3);
-
-	/* Create the search area */
-	picker->priv->search_entry = gtk_entry_new ();
-	gtk_entry_set_text (GTK_ENTRY (picker->priv->search_entry), _("Type here to search"));
-	gtk_entry_set_icon_from_stock (GTK_ENTRY (picker->priv->search_entry), GTK_ENTRY_ICON_PRIMARY, GTK_STOCK_FIND);
-	gtk_entry_set_icon_activatable (GTK_ENTRY (picker->priv->search_entry), GTK_ENTRY_ICON_PRIMARY, FALSE);
-	gtk_entry_set_icon_tooltip_text (GTK_ENTRY (picker->priv->search_entry),
-					 GTK_ENTRY_ICON_PRIMARY,
-					 _("Type here to search for contacts"));
-	gtk_entry_set_icon_from_stock (GTK_ENTRY (picker->priv->search_entry), GTK_ENTRY_ICON_SECONDARY, GTK_STOCK_CLEAR);
-	gtk_entry_set_icon_activatable (GTK_ENTRY (picker->priv->search_entry), GTK_ENTRY_ICON_SECONDARY, TRUE);
-	gtk_entry_set_icon_tooltip_text (GTK_ENTRY (picker->priv->search_entry),
-					 GTK_ENTRY_ICON_SECONDARY,
-					 _("Click here to clear the search field"));
-	g_signal_connect (G_OBJECT (picker->priv->search_entry), "icon_press",
-			  G_CALLBACK (entry_icon_pressed_cb), picker);
-	g_signal_connect (G_OBJECT (picker->priv->search_entry), "changed",
-			  G_CALLBACK (search_activated_cb), picker);
-	gtk_widget_show (picker->priv->search_entry);
-	gtk_table_attach (GTK_TABLE (table), picker->priv->search_entry, 0, 1, 0, 1, GTK_FILL, GTK_FILL, 3, 3);
-
-	picker->priv->add_contact_button = gtk_button_new_from_stock (GTK_STOCK_ADD);
-	g_signal_connect (G_OBJECT (picker->priv->add_contact_button), "clicked",
-			  G_CALLBACK (add_contact_cb), picker);
-	gtk_table_attach (GTK_TABLE (table), picker->priv->add_contact_button, 1, 2, 0, 1, GTK_FILL, GTK_FILL, 3, 3);
-
-	picker->priv->total_label = gtk_label_new (ngettext ("0 contact", "0 contacts", 0));
-	gtk_widget_show (picker->priv->total_label);
-	gtk_table_attach (GTK_TABLE (table), picker->priv->total_label, 2, 3, 0, 1, GTK_FILL, GTK_FILL, 3, 3);
-
-	/* Create the contacts view */
-	picker->priv->contacts_view = contacts_view_new ();
-	g_signal_connect (G_OBJECT (picker->priv->contacts_view), "selection-changed",
-			  G_CALLBACK (view_selection_changed_cb), picker);
-	g_signal_connect (G_OBJECT (picker->priv->contacts_view), "contacts-count-changed",
-			  G_CALLBACK (contacts_count_changed_cb), picker);
-	gtk_widget_show (picker->priv->contacts_view);
-	gtk_table_attach (GTK_TABLE (table), picker->priv->contacts_view, 0, 3, 2, 4,
-			  GTK_FILL | GTK_EXPAND | GTK_SHRINK,
-			  GTK_FILL | GTK_EXPAND | GTK_SHRINK,
-			  3, 3);
-}
-
-/**
- * u1_contacts_picker_new:
- *
- * Create a new contacts picker widget.
- *
- * Return value: the newly created widget.
- */
-GtkWidget *
-u1_contacts_picker_new (void)
-{
-	U1ContactsPicker *picker;
-
-	picker = g_object_new (U1_TYPE_CONTACTS_PICKER, NULL);
-
-	return (GtkWidget *) picker;
-}
-
-/**
- * u1_contacts_picker_get_contacts_count:
- * @picker: A #U1ContactsPicker widget
- *
- * Return the number of contacts being displayed by the contacts picker.
- *
- * Return value: Number of contacts being displayed.
- */
-guint
-u1_contacts_picker_get_contacts_count (U1ContactsPicker *picker)
-{
-	g_return_val_if_fail (U1_IS_CONTACTS_PICKER (picker), 0);
-
-	//FIXME: return gtk_tree_model_iter_n_children (gtk_icon_view_get_model (GTK_ICON_VIEW (picker->priv->icon_view)), NULL);
-	return 0;
-}
-
-/**
- * u1_contacts_picker_get_selected_emails:
- * @picker: A #U1ContactsPicker widget
- *
- * Return the list of selected emails in the contacts picker.
- *
- * Return value: A list of strings containing the email addresses selected.
- */
-GSList *
-u1_contacts_picker_get_selected_emails (U1ContactsPicker *picker)
-{
-	g_return_val_if_fail (U1_IS_CONTACTS_PICKER (picker), NULL);
-
-	return contacts_view_get_selected_emails (CONTACTS_VIEW (picker->priv->contacts_view));
-}
-
-/**
- * u1_contacts_picker_free_selection_list:
- * @list: The list to free memory of
- *
- * Free a list returned by @u1_contacts_picker_get_selected_emails.
- */
-void
-u1_contacts_picker_free_selection_list (GSList *list)
-{
-	g_slist_foreach (list, (GFunc) g_free, NULL);
-	g_slist_free (list);
-}

=== removed file 'nautilus/u1-contacts-picker.h'
--- nautilus/u1-contacts-picker.h	2010-03-12 13:17:57 +0000
+++ nautilus/u1-contacts-picker.h	1970-01-01 00:00:00 +0000
@@ -1,61 +0,0 @@
-/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
-/*
- * Copyright (C) 2009 Canonical Services Ltd (www.canonical.com)
- *
- * Authors: Rodrigo Moya <rodrigo.moya@canonical.com>
- *
- * This library is free software; you can redistribute it and/or
- * modify it under the terms of version 2 of the GNU Lesser General Public
- * License as published by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
- * General Public License for more details.
- *
- * You should have received a copy of the GNU Lesser General Public
- * License along with this library; if not, write to the
- * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
- * Boston, MA 02110-1301, USA.
- */
-
-#ifndef __U1_CONTACTS_PICKER_H__
-#define __U1_CONTACTS_PICKER_H__
-
-#include <gtk/gtk.h>
-
-G_BEGIN_DECLS
-
-#define U1_TYPE_CONTACTS_PICKER                (u1_contacts_picker_get_type ())
-#define U1_CONTACTS_PICKER(obj)                (G_TYPE_CHECK_INSTANCE_CAST ((obj), U1_TYPE_CONTACTS_PICKER, U1ContactsPicker))
-#define U1_IS_CONTACTS_PICKER(obj)             (G_TYPE_CHECK_INSTANCE_TYPE ((obj), U1_TYPE_CONTACTS_PICKER))
-#define U1_CONTACTS_PICKER_CLASS(klass)        (G_TYPE_CHECK_CLASS_CAST ((klass), U1_TYPE_CONTACTS_PICKER, U1ContactsPickerClass))
-#define U1_IS_CONTACTS_PICKER_CLASS(klass)     (G_TYPE_CHECK_CLASS_TYPE ((klass), U1_TYPE_CONTACTS_PICKER))
-#define U1_CONTACTS_PICKER_GET_CLASS(obj)      (G_TYPE_INSTANCE_GET_CLASS ((obj), U1_TYPE_CONTACTS_PICKER, U1ContactsPickerClass))
-
-typedef struct _U1ContactsPicker        U1ContactsPicker;
-typedef struct _U1ContactsPickerClass   U1ContactsPickerClass;
-typedef struct _U1ContactsPickerPrivate U1ContactsPickerPrivate;
-
-struct _U1ContactsPicker {
-	GtkVBox parent;
-	U1ContactsPickerPrivate *priv;
-};
-
-struct _U1ContactsPickerClass {
-	GtkVBoxClass parent_class;
-
-	/* Signals */
-	void (* selection_changed) (U1ContactsPicker *picker);
-};
-
-GType      u1_contacts_picker_get_type (void);
-
-GtkWidget *u1_contacts_picker_new (void);
-guint      u1_contacts_picker_get_contacts_count (U1ContactsPicker *picker);
-GSList    *u1_contacts_picker_get_selected_emails (U1ContactsPicker *picker);
-void       u1_contacts_picker_free_selection_list (GSList *list);
-
-G_END_DECLS
-
-#endif

=== removed file 'nautilus/ubuntuone-marshallers.list'
--- nautilus/ubuntuone-marshallers.list	2009-12-17 19:12:38 +0000
+++ nautilus/ubuntuone-marshallers.list	1970-01-01 00:00:00 +0000
@@ -1,4 +0,0 @@
-# UploadFinished, DownloadFinished
-VOID:STRING,OBJECT
-# ShareCreateError
-VOID:OBJECT,STRING

=== removed file 'nautilus/ubuntuone-nautilus.c'
--- nautilus/ubuntuone-nautilus.c	2011-02-14 12:37:34 +0000
+++ nautilus/ubuntuone-nautilus.c	1970-01-01 00:00:00 +0000
@@ -1,375 +0,0 @@
-/*
- * ubuntuone-nautilus.c - Nautilus extensions for Ubuntu One
- *
- * Authors: Tim Cole <tim.cole@canonical.com>
- *          Rodney Dawes <rodney.dawes@canonical.com>
- *          Rodrigo Moya <rodrigo.moya@canonical.com>
- *
- * Copyright 2009-2010 Canonical Ltd.
- *
- * This program is free software: you can redistribute it and/or modify it
- * under the terms of the GNU General Public License version 3, as published
- * by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranties of
- * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
- * PURPOSE.  See the GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License along
- * with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- */
-
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include <glib/gi18n-lib.h>
-#include <libnautilus-extension/nautilus-extension-types.h>
-#include <libnautilus-extension/nautilus-file-info.h>
-#include <libnautilus-extension/nautilus-info-provider.h>
-#include <libnautilus-extension/nautilus-menu-provider.h>
-#include <libnautilus-extension/nautilus-location-widget-provider.h>
-#include <libsyncdaemon/libsyncdaemon.h>
-#include "ubuntuone-nautilus.h"
-#include "context-menu.h"
-#include "location-widget.h"
-
-/* We need to do this explicitly because older versions of nautilus
- * don't seem to do it for us
- */
-#include <gtk/gtk.h>
-
-#include <fcntl.h>
-#include <string.h>
-#include <sys/stat.h>
-#include <sys/types.h>
-
-/* The header is generated from ubuntuone-marshallers.list */
-#include "ubuntuone-marshallers.h"
-
-static void ubuntuone_nautilus_finalize (GObject *object);
-
-static void ubuntuone_nautilus_register_type (GTypeModule *module);
-
-/* DBus signal and async method call handlers */
-static void ubuntuone_nautilus_daemon_ready (SyncdaemonDaemon *daemon, gpointer user_data);
-
-static GObjectClass *parent_class = NULL;
-
-/* Update file info provider */
-static NautilusOperationResult
-ubuntuone_nautilus_update_file_info (NautilusInfoProvider *provider,
-				     NautilusFileInfo *file,
-				     GClosure *update_complete,
-				     NautilusOperationHandle **handle)
-{
-	UbuntuOneNautilus *uon = UBUNTUONE_NAUTILUS (provider);
-
-	/* If syncdaemon is not ready, do nothing */
-	if (!syncdaemon_daemon_is_ready (uon->syncdaemon))
-		return NAUTILUS_OPERATION_COMPLETE;
-
-	file_watcher_add_file (uon->file_watcher, file);
-
-	return NAUTILUS_OPERATION_COMPLETE;
-}
-
-static void
-ubuntuone_nautilus_info_provider_iface_init (NautilusInfoProviderIface * iface)
-{
-	iface->update_file_info = ubuntuone_nautilus_update_file_info;
-}
-
-/* LocationWidget provider */
-static GtkWidget *
-ubuntuone_nautilus_get_location_widget (NautilusLocationWidgetProvider * provider,
-					const char * uri,
-					GtkWidget * parent)
-{
-	UbuntuOneNautilus * uon;
-	gchar *path;
-	GtkWidget *location;
-
-	/* if the bar is disabled, do nothing */
-	if (!ubuntuone_is_location_bar_enabled ())
-		return NULL;
-
-	uon = UBUNTUONE_NAUTILUS (provider);
-
-	/* If syncdaemon is not ready, do nothing */
-	if (!syncdaemon_daemon_is_ready (uon->syncdaemon))
-		return NULL;
-
-	path = g_filename_from_uri (uri, NULL, NULL);
-	if (!path)
-		return NULL;
-
-	location = location_widget_new (uon, path);
-
-	g_free (path);
-
-	return location;
-}
-
-static void
-ubuntuone_nautilus_bar_provider_iface_init (NautilusLocationWidgetProviderIface * iface)
-{
-	iface->get_widget = ubuntuone_nautilus_get_location_widget;
-}
-
-/* Menu provider */
-static GList *
-ubuntuone_nautilus_get_menu_items (NautilusMenuProvider * provider,
-				   GtkWidget * window,
-				   GList * files)
-{
-	UbuntuOneNautilus * uon;
-	GList *items = NULL;
-	NautilusMenuItem *root_item;
-
-	uon = UBUNTUONE_NAUTILUS (provider);
-
-	/* If syncdaemon is not ready, do nothing */
-	if (!syncdaemon_daemon_is_ready (uon->syncdaemon))
-		return NULL;
-
-	root_item = context_menu_new (uon, window, files);
-	if (root_item != NULL)
-		items = g_list_append (items, root_item);
-
-	return items;
-}
-
-static GList *
-ubuntuone_nautilus_get_bg_menu_items (NautilusMenuProvider * provider,
-				      GtkWidget * window,
-				      NautilusFileInfo * folder)
-{
-	GList * files = NULL;
-	GList * items = NULL;
-
-	files = g_list_prepend (files, folder);
-	items = ubuntuone_nautilus_get_menu_items (provider, window, files);
-	files = g_list_remove (files, folder);
-	g_list_free (files);
-
-	return items;
-}
-
-static void
-ubuntuone_nautilus_menu_provider_iface_init (NautilusMenuProviderIface * iface)
-{
-	iface->get_file_items = ubuntuone_nautilus_get_menu_items;
-	iface->get_background_items = ubuntuone_nautilus_get_bg_menu_items;
-}
-
-/* GType and nautilus module stuff */
-static GType un_type = 0;
-
-static void
-ubuntuone_nautilus_instance_init (UbuntuOneNautilus * uon)
-{
-	uon->connected = FALSE;
-	uon->udfs = g_hash_table_new_full (g_str_hash, g_str_equal, g_free, NULL);
-	uon->public = g_hash_table_new_full (g_str_hash, g_str_equal, g_free, g_free);
-
-	uon->syncdaemon = syncdaemon_daemon_new ();
-	g_signal_connect (G_OBJECT (uon->syncdaemon), "ready",
-			  G_CALLBACK (ubuntuone_nautilus_daemon_ready), uon);
-
-	/* Create a FileWatcher object to watch files we know about from Nautilus */
-	uon->file_watcher = file_watcher_new (uon);
-
-	/* Default to ~/Ubuntu One for now, as it's all we really support */
-	uon->managed = g_build_filename (g_get_home_dir (), "Ubuntu One", G_DIR_SEPARATOR_S, NULL);
-	uon->gotroot = FALSE;
-	uon->gotudfs = FALSE;
-}
-
-static void
-ubuntuone_nautilus_class_init (UbuntuOneNautilusClass * klass)
-{
-	parent_class = g_type_class_peek_parent (klass);
-
-	G_OBJECT_CLASS(klass)->finalize = ubuntuone_nautilus_finalize;
-}
-
-static void
-ubuntuone_nautilus_finalize (GObject *object)
-{
-	UbuntuOneNautilus * uon = UBUNTUONE_NAUTILUS(object);
-
-	if (uon->file_watcher != NULL)
-		g_object_unref (G_OBJECT (uon->file_watcher));
-
-	if (uon->syncdaemon)
-		g_object_unref (uon->syncdaemon);
-
-	g_hash_table_destroy (uon->udfs);
-	uon->udfs = NULL;
-
-	g_hash_table_destroy (uon->public);
-	uon->public = NULL;
-}
-
-GType
-ubuntuone_nautilus_get_type (void)
-{
-	return un_type;
-}
-
-static void
-ubuntuone_nautilus_register_type (GTypeModule * module)
-{
-	static const GTypeInfo info = {
-		sizeof (UbuntuOneNautilusClass),
-		(GBaseInitFunc) NULL,
-		(GBaseFinalizeFunc) NULL,
-		(GClassInitFunc) ubuntuone_nautilus_class_init,
-		NULL,
-		NULL,
-		sizeof (UbuntuOneNautilus),
-		0,
-		(GInstanceInitFunc) ubuntuone_nautilus_instance_init,
-	};
-
-	static const GInterfaceInfo info_provider_iface_info = {
-		(GInterfaceInitFunc) ubuntuone_nautilus_info_provider_iface_init,
-		NULL,
-		NULL
-	};
-
-	static const GInterfaceInfo bar_provider_iface_info = {
-		(GInterfaceInitFunc) ubuntuone_nautilus_bar_provider_iface_init,
-		NULL,
-		NULL
-	};
-
-	static const GInterfaceInfo menu_provider_iface_info = {
-		(GInterfaceInitFunc) ubuntuone_nautilus_menu_provider_iface_init,
-		NULL,
-		NULL
-	};
-
-	un_type = g_type_module_register_type (module, 
-					       G_TYPE_OBJECT,
-					       "UbuntuOneNautilus",
-					       &info, 0);
-  
-	g_type_module_add_interface (module,
-				     un_type,
-				     NAUTILUS_TYPE_INFO_PROVIDER,
-				     &info_provider_iface_info);
-
-	g_type_module_add_interface (module,
-				     un_type,
-				     NAUTILUS_TYPE_LOCATION_WIDGET_PROVIDER,
-				     &bar_provider_iface_info);
-
-	/* XXX Need to sign a request via DBus */
-	g_type_module_add_interface (module,
-				     un_type,
-				     NAUTILUS_TYPE_MENU_PROVIDER,
-				     &menu_provider_iface_info);
-}
-
-
-/* DBus signal handlers and async method call handlers */
-static void
-ubuntuone_nautilus_daemon_ready (SyncdaemonDaemon *daemon, gpointer user_data)
-{
-	UbuntuOneNautilus * uon = UBUNTUONE_NAUTILUS (user_data);
-	gboolean is_online = FALSE;
-	SyncdaemonInterface *interface;
-
-	interface = syncdaemon_daemon_get_status_interface (daemon);
-	if (interface != NULL) {
-		SyncdaemonStatusInfo *status_info;
-
-		status_info = syncdaemon_status_interface_get_current_status (SYNCDAEMON_STATUS_INTERFACE (interface));
-		is_online = syncdaemon_status_info_get_online (status_info);
-	}
-
-	/* Get the root when we get a status change signal, if we haven't yet */
-	if (!uon->gotroot) {
-		uon->managed = g_build_filename (syncdaemon_daemon_get_root_dir (uon->syncdaemon), G_DIR_SEPARATOR_S, NULL);
-		if (uon->managed != NULL)
-			uon->gotroot = TRUE;
-	}
-
-	/* Get the list of UDFs if we haven't already */
-	if (!uon->gotudfs) {
-		SyncdaemonInterface *interface;
-
-		interface = syncdaemon_daemon_get_folders_interface (uon->syncdaemon);
-		if (interface != NULL) {
-			GSList *folders, *l;
-
-			folders = syncdaemon_folders_interface_get_folders (SYNCDAEMON_FOLDERS_INTERFACE (interface));
-			for (l = folders; l != NULL; l = l->next) {
-				const gchar *path, *id;
-				gboolean subscribed;
-				SyncdaemonFolderInfo *folder_info = SYNCDAEMON_FOLDER_INFO (l->data);
-
-				path = syncdaemon_folder_info_get_path (folder_info);
-				id = syncdaemon_folder_info_get_volume_id (folder_info);
-				subscribed = syncdaemon_folder_info_get_subscribed (folder_info);
-				if (subscribed) {
-					g_hash_table_insert (uon->udfs, g_strdup (path), g_strdup (id));
-					uon->gotudfs = TRUE;
-
-					file_watcher_update_path (uon->file_watcher, path);
-				}
-			}
-
-			g_slist_free (folders);
-		}
-	}
-
-	/* Get the list of public files if we haven't already */
-	if (is_online) {
-		SyncdaemonInterface *public;
-
-		public = syncdaemon_daemon_get_publicfiles_interface (uon->syncdaemon);
-		if (public != NULL) {
-			GSList *files_list;
-
-			/* We just call it here so that libsyncdaemon caches it, but we discard
-			   the list, as we don't need it yet */
-			files_list = syncdaemon_publicfiles_interface_get_public_files (SYNCDAEMON_PUBLICFILES_INTERFACE (public));
-			g_slist_free (files_list);
-		}
-	}
-}
-
-/* Required Nautilus module handling methods */
-void
-nautilus_module_initialize (GTypeModule *module)
-{
-#ifdef ENABLE_NLS
-	bindtextdomain (GETTEXT_PACKAGE, GNOMELOCALEDIR);
-	bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
-	textdomain (GETTEXT_PACKAGE);
-#endif
-
-	ubuntuone_nautilus_register_type (module);
-}
-
-void
-nautilus_module_shutdown (void)
-{
-}
-
-void
-nautilus_module_list_types (const GType **types,
-			    int *num_types)
-{
-	static GType type_list[1];
-  
-	type_list[0] = UBUNTUONE_TYPE_NAUTILUS;
-
-	*types = type_list;
-	*num_types = 1;
-}

=== removed file 'nautilus/ubuntuone-nautilus.h'
--- nautilus/ubuntuone-nautilus.h	2011-02-11 14:24:46 +0000
+++ nautilus/ubuntuone-nautilus.h	1970-01-01 00:00:00 +0000
@@ -1,75 +0,0 @@
-/*
- * ubuntuone-nautilus.c - Nautilus extensions for Ubuntu One
- *
- * Authors: Tim Cole <tim.cole@canonical.com>
- *          Rodney Dawes <rodney.dawes@canonical.com>
- *          Rodrigo Moya <rodrigo.moya@canonical.com>
- *
- * Copyright 2009-2010 Canonical Ltd.
- *
- * This program is free software: you can redistribute it and/or modify it
- * under the terms of the GNU General Public License version 3, as published
- * by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranties of
- * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
- * PURPOSE.  See the GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License along
- * with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- */
-
-#ifndef __UBUNTUONE_NAUTILUS_H__
-#define __UBUNTUONE_NAUTILUS_H__
-
-#include <dbus/dbus-glib.h>
-#include <libsyncdaemon/syncdaemon-daemon.h>
-#include <gtk/gtk.h>
-#include "file-watcher.h"
-
-#define UBUNTUONE_TYPE_NAUTILUS  (ubuntuone_nautilus_get_type ())
-#define UBUNTUONE_NAUTILUS(o)    (G_TYPE_CHECK_INSTANCE_CAST ((o), UBUNTUONE_TYPE_NAUTILUS, UbuntuOneNautilus))
-
-/* This is used when a change is pending */
-#define UPDATE_PENDING "pending"
-
-struct _UbuntuOneNautilus {
-	GObject parent_slot;
-
-	SyncdaemonDaemon *syncdaemon;
-	FileWatcher *file_watcher;
-
-	/* Are we connected? */
-	gboolean connected;
-
-	/* The managed directory root */
-	gchar * managed;
-
-	/* Avoid calling get_rootdir and get_folders lots of times */
-	gboolean gotroot;
-	gboolean gotudfs;
-
-	/* Lists of public files and user defined folders */
-	GHashTable * public;
-	GHashTable * udfs;
-};
-
-typedef struct {
-	GObjectClass parent_slot;
-} UbuntuOneNautilusClass;
-
-GType ubuntuone_nautilus_get_type (void);
-
-/* Utility functions */
-gboolean ubuntuone_is_folder_shared (UbuntuOneNautilus *uon, const gchar *path);
-gboolean ubuntuone_is_inside_shares (UbuntuOneNautilus *uon, const gchar *path);
-gboolean ubuntuone_is_location_bar_enabled (void);
-
-gboolean ubuntuone_check_shares_and_public_files (UbuntuOneNautilus *uon,
-							   SyncdaemonFolderInfo *folder_info,
-							   GtkWidget *widget);
-void     ubuntuone_show_error_dialog (UbuntuOneNautilus *uon, const gchar *title, const gchar *error_message, ...);
-
-#endif

=== removed file 'nautilus/utils.c'
--- nautilus/utils.c	2011-04-20 22:54:40 +0000
+++ nautilus/utils.c	1970-01-01 00:00:00 +0000
@@ -1,188 +0,0 @@
-/*
- * UbuntuOne Nautilus plugin
- *
- * Authors: Rodrigo Moya <rodrigo.moya@canonical.com>
- *
- * Copyright 2009-2010 Canonical Ltd.
- *
- * This program is free software: you can redistribute it and/or modify it
- * under the terms of the GNU General Public License version 3, as published
- * by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranties of
- * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
- * PURPOSE.  See the GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License along
- * with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
- */
-
-#include <limits.h>
-#include <stdlib.h>
-#include <glib/gi18n.h>
-#include <glib/gutils.h>
-#include <glib/gfileutils.h>
-#include <libnautilus-extension/nautilus-file-info.h>
-#include <libsyncdaemon/libsyncdaemon.h>
-#include "ubuntuone-nautilus.h"
-#include "location-widget.h"
-
-gboolean
-ubuntuone_check_shares_and_public_files (UbuntuOneNautilus *uon,
-					 SyncdaemonFolderInfo *folder_info,
-					 GtkWidget *widget)
-{
-	SyncdaemonInterface *interface;
-	gboolean result = TRUE, has_shares = FALSE, has_published = FALSE;
-	GString *question = NULL;
-
-	question = g_string_new (_("This folder contains shared folders and/or published files:\n\n"));
-
-	interface = syncdaemon_daemon_get_shares_interface (uon->syncdaemon);
-	if (SYNCDAEMON_IS_SHARES_INTERFACE (interface)) {
-		GSList *shared_list, *l;
-
-		shared_list = syncdaemon_shares_interface_get_shared (SYNCDAEMON_SHARES_INTERFACE (interface));
-		for (l = shared_list; l != NULL; l = l->next) {
-			SyncdaemonShareInfo *share_info = SYNCDAEMON_SHARE_INFO (l->data);
-
-			if (g_str_has_prefix (syncdaemon_share_info_get_path (share_info),
-					      syncdaemon_folder_info_get_path (folder_info))
-			    && syncdaemon_share_info_get_accepted (share_info)) {
-				has_shares = TRUE;
-
-				question = g_string_append (question, "\t- ");
-				question = g_string_append (question, syncdaemon_share_info_get_path (share_info));
-				question = g_string_append (question, _(" (Shared folder)\n"));
-			}
-		}
-
-		g_slist_free (shared_list);
-	}
-
-	/* Now check for published files */
-	interface = syncdaemon_daemon_get_publicfiles_interface (uon->syncdaemon);
-	if (SYNCDAEMON_IS_PUBLICFILES_INTERFACE (interface)) {
-		GSList *public_files, *l;
-		public_files = syncdaemon_publicfiles_interface_get_public_files (SYNCDAEMON_PUBLICFILES_INTERFACE (interface));
-
-		for (l = public_files; l != NULL; l = l->next) {
-			const gchar *path;
-
-			path = syncdaemon_file_info_get_path (SYNCDAEMON_FILE_INFO (l->data));
-			if (g_str_has_prefix (path, syncdaemon_folder_info_get_path (folder_info))) {
-				has_published = TRUE;
-
-				question = g_string_append (question, "\t- ");
-				question = g_string_append (question, path);
-				question = g_string_append (question, _(" (Published at "));
-				question = g_string_append (question, syncdaemon_file_info_get_public_url (SYNCDAEMON_FILE_INFO (l->data)));
-				question = g_string_append (question, ")\n");
-			}
-		}
-
-		g_slist_free (public_files);
-	}
-
-	if (has_shares || has_published) {
-		GtkWidget *dialog;
-
-		question = g_string_append (question, _("\nThis action will make these files and folders no "
-							"longer available to other users. Would you like to "
-							"proceed?"));
-		dialog = gtk_message_dialog_new (
-			GTK_WINDOW (gtk_widget_get_toplevel (widget)),
-			0, GTK_MESSAGE_QUESTION,
-			GTK_BUTTONS_YES_NO,
-			"%s", question->str);
-		if (gtk_dialog_run (GTK_DIALOG (dialog)) != GTK_RESPONSE_YES)
-			result = FALSE;
-
-		gtk_widget_destroy (dialog);
-	}
-
-	/* Free memory */
-	g_string_free (question, TRUE);
-
-	return result;
-}
-
-gboolean
-ubuntuone_is_folder_shared (UbuntuOneNautilus *uon, const gchar *path)
-{
-	GSList *shares, *l;
-	SyncdaemonInterface *interface;
-	gboolean is_shared = FALSE;
-
-	interface = syncdaemon_daemon_get_shares_interface (uon->syncdaemon);
-	if (SYNCDAEMON_IS_SHARES_INTERFACE (interface)) {
-		shares = syncdaemon_shares_interface_get_shared (SYNCDAEMON_SHARES_INTERFACE (interface));
-		for (l = shares; l != NULL; l = l->next) {
-			SyncdaemonShareInfo *share_info = SYNCDAEMON_SHARE_INFO (l->data);
-
-			if (g_strcmp0 (syncdaemon_share_info_get_path (share_info), path) == 0) {
-				is_shared = TRUE;
-				break;
-			}
-		}
-
-		g_slist_free (shares);
-	}
-
-	return is_shared;
-}
-
-/* 
- * Similar to ubuntuone_is_folder_shared but it checks if the passed
- * folder is inside a folder shared TO the user.
- *
- * Added to fix bug #712674
- */
-gboolean
-ubuntuone_is_inside_shares (UbuntuOneNautilus *uon, const gchar *path)
-{
-	gboolean is_shared_to_me = FALSE;
-	gchar *resolved_path;
-	gchar *prefix = g_build_filename (g_get_user_data_dir (), "ubuntuone", "shares", G_DIR_SEPARATOR_S, NULL);
-
-	/* 
-	 *  Have to use realpath because path contains a symlink like
-	 * ~/Ubuntu One/Shared With Me -> ~/.local/share/ubuntuone/shares
-	 * 
-	 * This also claims ~/Ubuntu One/Shared with Me/foo is
-	 * in a share even if it's not true. that's intentional since
-	 * those files are never uploaded, and thus it makes no sense
-	 * to publish them.
-	 */
-	resolved_path = realpath(path, NULL);
-	if (g_str_has_prefix (resolved_path, prefix)) {
-		is_shared_to_me = TRUE;
-	}
-	free (resolved_path);
-	g_free (prefix);
-	return is_shared_to_me;
-}
-
-gboolean
-ubuntuone_is_location_bar_enabled (void)
-{
-	GConfClient *conf_client;
-	GConfValue * show_location_value;
-	gboolean show_location;
-
-	conf_client = gconf_client_get_default ();
-	show_location_value = gconf_client_get (conf_client, EXPANDER_SHOWN_KEY, NULL);
-	g_object_unref (conf_client);
-
-	if (show_location_value == NULL) {
-		show_location = TRUE;
-	} else {
-		show_location = gconf_value_get_bool (show_location_value);
-		gconf_value_free (show_location_value);
-	}
-
-	return show_location;
-}
-

=== modified file 'po/POTFILES.in'
--- po/POTFILES.in	2011-04-03 01:31:08 +0000
+++ po/POTFILES.in	2011-07-21 15:24:02 +0000
@@ -5,14 +5,3 @@
 data/emblem-ubuntuone-unsynchronized.icon.in
 data/emblem-ubuntuone-uploading.icon.in
 libsyncdaemon/syncdaemon-authentication.c
-nautilus/add-contact-dialog.c
-nautilus/ubuntuone-nautilus.c
-nautilus/contacts-view.c
-nautilus/context-menu.c
-nautilus/file-watcher.c
-nautilus/u1-contacts-picker.c
-nautilus/location-widget.c
-nautilus/share-dialog.c
-nautilus/utils.c
-gsd-plugin/gsd-ubuntuone.c
-[type: gettext/ini]gsd-plugin/ubuntuone.gnome-settings-plugin.in

